<?php
/*
File: functions-general.php
Description: Plugin Functions General
Author: Ad-theme.com
Author URI: http://www.ad-theme.com
Compatibility: WP 3.9.x - WP 4.0.x - WP 4.1.x
*/

// ADD SIZE

function vcmegapack_add_image_sizes() {

	add_image_size( 'vcmegapack-masonry', 500 );
	add_image_size( 'vcmegapack-grid', 800 , 800 , true);
	add_image_size( 'vcmegapack-rectangle', 800 , 500 , true);
	add_image_size( 'vcmegapack-fullscreen', 1200 , 800 , true);
	add_image_size( 'vcmegapack-parallax', 2560 , 1440 , true);

}

add_action( 'init', 'vcmegapack_add_image_sizes' );

/**************************************************************************/
/************************ FUNCTION POST INFO ******************************/
/**************************************************************************/

function vcmegapack_thumbs($thumbs_size) {
	global $post;
	if(has_post_thumbnail()){ 
			$id_post = get_the_id();					
			$single_image = wp_get_attachment_image_src( get_post_thumbnail_id($id_post), $thumbs_size );	 					 
		} else {               
             $single_image[0] = AD_VCMP_URL .'assets/img/no-img.png';                 
    }	
	$return =	'<img class="vcmp-thumbs" src="'.$single_image[0].'" alt="'.get_the_title().'">';
	return $return;
}

function vcmegapack_thumbs_link($masonrygrid) {
	global $post;
	if(has_post_thumbnail()){ 
			$id_post = get_the_id();					
			$single_image = wp_get_attachment_image_src( get_post_thumbnail_id($id_post), $masonrygrid );	 					 
		} else {               
             $single_image[0] = AD_fcg_URL .'assets/img/no-img.png';                 
    }	
	$return = $single_image[0];
	return $return;
}

function vcmegapack_excerpt($excerpt) {
	$return = substr(get_the_excerpt(), 0, $excerpt);
	return $return;
}

function vcmegapack_post_info(
							 $display_date,
							 $display_comments,
						     $display_author,
						     $display_category,
						     $display_views,
						     $img_source,
							 $date_format) {	   
		   global $post;		   
		   $return = '';
		   if($display_date == 'true') {
		   
		   		$return .= '<span class="admp-date"><i class="adtheme-icon-calendar"></i>' . get_the_date($date_format) . '</span>'; 
			
		   }
		    
		   if($display_author == 'true') {	   
		   		$return .= '<span class="admp-author"><i class="adtheme-icon-user"></i><a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'">'.get_the_author_meta( 'display_name' ).'</a></span>'; 
		   } 	
		   	   
		   if($display_comments == 'true') {
           	   
           		$return .= '<span class="admp-comments"><i class="adtheme-icon-bubble"></i><a href="'.get_comments_link().'">'.get_comments_number().'</a></span>';
		   
		   }
		    		    
		   if($display_category == 'true' && $img_source == 'post') {
		   		$return .= '<span class="admp-category"><i class="adtheme-icon-tag"></i>'.vcmegapack_category($img_source).'</span>'; 
		   }
			
		   if($display_views == 'true') {        
		   $return .= '<span class="admp-views"><i class="adtheme-icon-eye"></i>'.vcmegapack_get_post_views(get_the_ID()).'</span>';
		   }
		   
		   return $return; 		   
}

function vcmegapack_share() {
	global $post;
	$pinterestimage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
	
		
	$return = '<div class="vcmp-share-container">
        <div class="vcmp-share-item"><a target="_blank" class="adtheme-icon-facebook" href="http://www.facebook.com/sharer.php?u='.get_the_permalink().'&amp;t='.get_the_title().'" title="'.__('Click to share this post on Facebook','admegaposts').'"></a></div>
		<div class="vcmp-share-item"><a target="_blank" class="adtheme-icon-twitter" href="http://twitter.com/home?status='.get_the_permalink().'" title="'.__('Click to share this post on Twitter','admegaposts').'"></a></div>
        <div class="vcmp-share-item"><a target="_blank" class="adtheme-icon-googleplus" href="https://plus.google.com/share?url='.get_the_permalink().'" title="'.__('Click to share this post on Google+','admegaposts').'"></a></div>
        <div class="vcmp-share-item"><a target="_blank" class="adtheme-icon-linkedin" href="http://www.linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'" title="'.__('Click to share this post on Linkedin','admegaposts').'"></a></div>
    	<div class="vcmp-share-item"><a target="_blank" class="adtheme-icon-pinterest" href="http://pinterest.com/pin/create/button/?url='.urlencode(get_permalink($post->ID)).'&media='.$pinterestimage[0].'&description='.get_the_title().'" title="'.__('Click to share this post on Pinterest','admegaposts').'"></a></div>
    </div>';
	
    return $return;
    
}

function vcmegapack_category($img_source) {
	if($img_source=='post') {
		$categories = get_the_category();
		$separator = ', ';
		$output = '';
		if($categories){
			foreach($categories as $category) {
				$output .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s",'admegaposts' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
			}
		}
	}
	$return = trim($output, $separator);
	return $return;
}

/**************************************************************************/
/************************** FUNCTION VIEW *********************************/
/**************************************************************************/

function vcmegapack_get_post_views($postID){
    $count_key = 'wpb_post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
		$view = __('Views','vcmegapack');
        return "0";
    }
	//$views = __('Views','adt');
	$count_final = $count; 
	//$count_final .= ' ' . $views;
    return $count_final;
}

function vcmegapack_set_post_views() {
	if ( is_single() ) {
	global $post;
	$postID = $post->ID;	
    $count_key = 'wpb_post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
	}
}
add_filter( 'wp_footer', 'vcmegapack_set_post_views', 200000 );

/**************************************************************************/
/********************** END FUNCTION VIEW *********************************/
/**************************************************************************/

function portfolio_style ($instance, 
						  $vcmp_portfolio_type, 
						  $vcmp_portfolio_title_fs, 
						  $vcmp_portfolio_content_fs, 
						  $vcmp_portfolio_background_color, 
						  $vcmp_portfolio_secondary_color, 
						  $vcmp_portfolio_font_color, 
						  $vcmp_portfolio_a_color, 
						  $vcmp_portfolio_over_color) {
			
				$return = '';
				$return .= '
				 .vcmp-portfolio-'.$instance.' {
					font-size: '.$vcmp_portfolio_content_fs.';
					color:'.$vcmp_portfolio_font_color.';					 
				 }
				 .vcmp-portfolio-'.$instance.' h1 {
					font-size: '.$vcmp_portfolio_title_fs.';
				 }
				 .vcmp-portfolio-'.$instance.' a {
					color:'.$vcmp_portfolio_a_color.';
				 }
				 .vcmp-portfolio-'.$instance.' a:hover {
					color:'.$vcmp_portfolio_over_color.';
				 }					 				 
				 .vcmp-portfolio-'.$instance.' .vcmp-item,
				 .vcmp-portfolio-'.$instance.' .vcmp-image-over .adtheme-icon-plus,
				 .vcmp-controls ul li {
					background:'.$vcmp_portfolio_background_color.';
				}
				.vcmp-portfolio.vcmp-controls-'.$instance.' ul li {
					background:'.$vcmp_portfolio_background_color.';
					color:'.$vcmp_portfolio_font_color.';	
				}
				.vcmp-portfolio.vcmp-controls-'.$instance.' ul li:hover, 
				.vcmp-portfolio.vcmp-controls-'.$instance.' ul li.active {
					color:'.$vcmp_portfolio_over_color.';
				}
				.vcmp-portfolio-'.$instance.'.vcmp-pagination .pagination .current,
				.vcmp-portfolio-'.$instance.'.vcmp-pagination .pagination a {
					background:'.$vcmp_portfolio_background_color.';
					color:'.$vcmp_portfolio_font_color.';
				}
				.vcmp-portfolio-'.$instance.'.vcmp-pagination a:hover,
				.vcmp-portfolio-'.$instance.'.vcmp-pagination .pagination .current {	
					color:'.$vcmp_portfolio_over_color.';
				}
				.vcmp-portfolio-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_portfolio_secondary_color.';
				}
				.vcmp-portfolio-'.$instance.' .vcmp-item .vcmp-title {
					background:'.$vcmp_portfolio_secondary_color.';
					color:'.$vcmp_portfolio_background_color.';
				}				
				.vcmp-portfolio-'.$instance.' .vcmp-container-thumbs .vcmp-info-date {
					background:'.$vcmp_portfolio_secondary_color.';
					color:'.$vcmp_portfolio_background_color.';
					font-size:'.$vcmp_portfolio_content_fs.';
				}
				.vcmp-portfolio-'.$instance.'.vcmp-pagination a {
					background:'.$vcmp_portfolio_background_color.';
				}
				.vcmp-portfolio-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_portfolio_secondary_color.';
				}
				.vcmp-portfolio-'.$instance.' .vcmp-image-over .adtheme-icon-plus {
					color:'.$vcmp_portfolio_a_color.';
				}
				.vcmp-portfolio-'.$instance.' .vcmp-image-over .adtheme-icon-plus {
					border-color:'.$vcmp_portfolio_a_color.';
				}				
				.vcmp-portfolio-'.$instance.' .vcmp-image-over .adtheme-icon-plus:hover {
					color:'.$vcmp_portfolio_over_color.';
				}
				.vcmp-controls.vcmp-controls-'.$instance.' .active, 
				.vcmp-controls.vcmp-controls-'.$instance.' .filter:hover {
					color:'.$vcmp_portfolio_over_color.';
				}
				.vcmp-portfolio-'.$instance.' .vcmp-share-container {
					border-top-color:'.$vcmp_portfolio_font_color.';
				}
				'; 
			return $return;			
}

function grid_style ($instance, 
						  $vcmp_grid_type, 
						  $vcmp_grid_title_fs, 
						  $vcmp_grid_content_fs, 
						  $vcmp_grid_background_color, 
						  $vcmp_grid_secondary_color, 
						  $vcmp_grid_font_color, 
						  $vcmp_grid_a_color, 
						  $vcmp_grid_over_color) {
			
				$return = '';
				$return .= '
				 .vcmp-grid-'.$instance.' {
					font-size: '.$vcmp_grid_content_fs.';
					color:'.$vcmp_grid_font_color.';					 
				 }
				 .vcmp-grid-'.$instance.' h1 {
					font-size: '.$vcmp_grid_title_fs.'!important;
				 }
				 .vcmp-grid-'.$instance.' a {
					color:'.$vcmp_grid_a_color.';
				 }
				 .vcmp-grid-'.$instance.' a:hover {
					color:'.$vcmp_grid_over_color.';
				 }					 				 
				 .vcmp-grid-'.$instance.' .vcmp-item,
				 .vcmp-grid-'.$instance.' .vcmp-image-over .adtheme-icon-plus,
				 .vcmp-grid-'.$instance.' .vcmp-image-over .adtheme-icon-search,
				 .vcmp-controls ul li {
					background:'.$vcmp_grid_background_color.';
				}
				.vcmp-grid.vcmp-controls-'.$instance.' ul li {
					background:'.$vcmp_grid_background_color.';
					color:'.$vcmp_grid_font_color.';	
				}
				.vcmp-grid.vcmp-controls-'.$instance.' ul li:hover, 
				.vcmp-grid.vcmp-controls-'.$instance.' ul li.active {
					color:'.$vcmp_grid_over_color.';
				}
				.vcmp-grid-'.$instance.'.vcmp-pagination .pagination .current,
				.vcmp-grid-'.$instance.'.vcmp-pagination .pagination a {
					background:'.$vcmp_grid_background_color.';
					color:'.$vcmp_grid_font_color.';
				}
				.vcmp-grid-'.$instance.'.vcmp-pagination a:hover,
				.vcmp-grid-'.$instance.'.vcmp-pagination .pagination .current {	
					color:'.$vcmp_grid_over_color.';
				}
				.vcmp-grid-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_grid_secondary_color.';
				}
				.vcmp-grid-'.$instance.' .vcmp-item .vcmp-title {
					background:'.$vcmp_grid_secondary_color.';
					color:'.$vcmp_grid_background_color.';
				}				
				.vcmp-grid-'.$instance.' .vcmp-container-thumbs .vcmp-info-date {
					background:'.$vcmp_grid_secondary_color.';
					color:'.$vcmp_grid_background_color.';
					font-size:'.$vcmp_grid_content_fs.';
				}
				.vcmp-grid-'.$instance.'.vcmp-pagination a {
					background:'.$vcmp_grid_background_color.';
				}
				.vcmp-grid-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_grid_secondary_color.';
				}
				.vcmp-grid-'.$instance.' .vcmp-image-over .adtheme-icon-plus {
					color:'.$vcmp_grid_a_color.';
				}
				.vcmp-grid-'.$instance.' .vcmp-image-over .adtheme-icon-plus {
					border-color:'.$vcmp_grid_a_color.';
				}				
				.vcmp-grid-'.$instance.' .vcmp-image-over .adtheme-icon-plus:hover,
				.vcmp-grid-'.$instance.' .vcmp-image-over .adtheme-icon-search:hover {
					color:'.$vcmp_grid_over_color.';
				}
				.vcmp-controls.vcmp-controls-'.$instance.' .active, 
				.vcmp-controls.vcmp-controls-'.$instance.' .filter:hover {
					color:'.$vcmp_grid_over_color.';
				}
				'; 
			return $return;			
}

function gallery_style ($instance, 
						  $vcmp_gallery_type, 
						  $vcmp_gallery_title_fs, 
						  $vcmp_gallery_background_color, 
						  $vcmp_gallery_secondary_color, 
						  $vcmp_gallery_font_color, 
						  $vcmp_gallery_a_color, 
						  $vcmp_gallery_over_color) {
			
				$return = '';
				$return .= '
				 .vcmp-gallery-'.$instance.' {
					color:'.$vcmp_gallery_font_color.';					 
				 }
				 .vcmp-gallery-'.$instance.' h1 {
					font-size: '.$vcmp_gallery_title_fs.'!important;
				 }
				 .vcmp-gallery-'.$instance.' a {
					color:'.$vcmp_gallery_a_color.';
				 }
				 .vcmp-gallery-'.$instance.' a:hover {
					color:'.$vcmp_gallery_over_color.';
				 }					 				 
				 .vcmp-gallery-'.$instance.' .vcmp-item,
				 .vcmp-gallery-'.$instance.' .vcmp-image-over .adtheme-icon-plus,
				 .vcmp-gallery-'.$instance.' .vcmp-image-over .adtheme-icon-search,
				 .vcmp-controls ul li {
					background:'.$vcmp_gallery_background_color.';
				}
				.vcmp-gallery-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_gallery_secondary_color.';
				}
				.vcmp-gallery-'.$instance.' .vcmp-item .vcmp-title {
					background:'.$vcmp_gallery_secondary_color.';
					color:'.$vcmp_gallery_background_color.';
				}
				.vcmp-gallery-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_gallery_secondary_color.';
				}
				.vcmp-gallery-'.$instance.' .vcmp-image-over .adtheme-icon-plus {
					color:'.$vcmp_gallery_a_color.';
				}
				.vcmp-gallery-'.$instance.' .vcmp-image-over .adtheme-icon-plus {
					border-color:'.$vcmp_gallery_a_color.';
				}				
				.vcmp-gallery-'.$instance.' .vcmp-image-over .adtheme-icon-plus:hover,
				.vcmp-gallery-'.$instance.' .vcmp-image-over .adtheme-icon-search:hover {
					color:'.$vcmp_gallery_over_color.';
				}
				.vcmp-controls.vcmp-controls-'.$instance.' .active, 
				.vcmp-controls.vcmp-controls-'.$instance.' .filter:hover {
					color:'.$vcmp_gallery_over_color.';
				}
				'; 
			return $return;			
}

function carousel_style  ($instance,
						  $vcmp_carousel_item_padding, 
						  $vcmp_carousel_type, 
						  $vcmp_carousel_title_fs, 
						  $vcmp_carousel_background_color, 
						  $vcmp_carousel_secondary_color, 
						  $vcmp_carousel_font_color, 
						  $vcmp_carousel_a_color, 
						  $vcmp_carousel_over_color
						  ) {
			
				$return = '';
				$return .= '
				 .vcmp-carousel-'.$instance.' {
					color:'.$vcmp_carousel_font_color.';					 
				 }
				 .vcmp-carousel-'.$instance.' h1 {
					font-size: '.$vcmp_carousel_title_fs.'!important;
				 }
				 .vcmp-carousel-'.$instance.' a {
					color:'.$vcmp_carousel_a_color.';
				 }
				 .vcmp-carousel-'.$instance.' a:hover {
					color:'.$vcmp_carousel_over_color.';
				 }					 				 
				 .vcmp-carousel-'.$instance.' .vcmp-item,
				 .vcmp-carousel-'.$instance.' .vcmp-image-over .adtheme-icon-plus,
				 .vcmp-carousel-'.$instance.' .vcmp-image-over .adtheme-icon-search,
				 .vcmp-controls ul li {
					background:'.$vcmp_carousel_background_color.';
				}
				.vcmp-carousel-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_carousel_secondary_color.';
				}
				.vcmp-carousel-'.$instance.' .vcmp-item .vcmp-title {
					background:'.$vcmp_carousel_secondary_color.';
					color:'.$vcmp_carousel_background_color.';
				}				
				.vcmp-carousel-'.$instance.' .vcmp-pagination a {
					background:'.$vcmp_carousel_background_color.';
				}
				.vcmp-carousel-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_carousel_secondary_color.';
				}
				.vcmp-carousel-'.$instance.' .vcmp-image-over .adtheme-icon-plus {
					color:'.$vcmp_carousel_a_color.';
				}
				.vcmp-carousel-'.$instance.' .vcmp-image-over .adtheme-icon-plus {
					border-color:'.$vcmp_carousel_a_color.';
				}				
				.vcmp-carousel-'.$instance.' .vcmp-image-over .adtheme-icon-plus:hover,
				.vcmp-carousel-'.$instance.' .vcmp-image-over .adtheme-icon-search:hover {
					color:'.$vcmp_carousel_over_color.';
				}
				.vcmp-carousel-'.$instance.' .owl-item	{
					padding:'.$vcmp_carousel_item_padding.';
				}
				.vcmp-carousel.owl-theme .owl-controls .owl-buttons div {
					background:'.$vcmp_carousel_secondary_color.';
				}';
				
				if($vcmp_carousel_item_padding != '' || !empty($vcmp_carousel_item_padding)) {
				
					$return .= '.vcmp-carousel .owl-buttons .owl-prev {
						left:'.$vcmp_carousel_item_padding.'!important;	
					}
					.vcmp-carousel .owl-buttons .owl-next {
						right:'.$vcmp_carousel_item_padding.'!important;
					}
					'; 
				
				}
			return $return;			
}

function timeline_style($instance, 
						$vcmp_timeline_type, 
						$vcmp_timeline_title_fs,  
						$vcmp_timeline_background_color, 
						$vcmp_timeline_line_color, 
						$vcmp_timeline_font_color, 
						$vcmp_timeline_a_color, 
						$vcmp_timeline_over_color) {
			
			$return = '.vcmp-timeline-'.$instance.' {
						color:'.$vcmp_timeline_font_color.';						
			}
			.vcmp-timeline-'.$instance.' a {
						color:'.$vcmp_timeline_a_color.';						
			}
			.vcmp-timeline-'.$instance.' a:hover {
						color:'.$vcmp_timeline_over_color.';						
			}			
			.vcmp-timeline-'.$instance.' .vcmp-timeline-content,
			.vcmp-timeline-'.$instance.' .vcmp_format_icon > span {
						background:'.$vcmp_timeline_background_color.';
			}
			.vcmp-timeline-'.$instance.' .vcmp-timeline-block:nth-child(1n) .vcmp-timeline-content::before {
						border-left-color:'.$vcmp_timeline_background_color.';
			}
			.vcmp-timeline-'.$instance.' .vcmp-timeline-block:nth-child(even) .vcmp-timeline-content::before {
						border-right-color:'.$vcmp_timeline_background_color.'!important;	
			}
			.vcmp-timeline-'.$instance.' #vcmp-timeline:before {
						background:'.$vcmp_timeline_line_color.';
			}
			.vcmp-timeline-'.$instance.' .vcmp-timeline-content .vcmp-read-more {
						background:'.$vcmp_timeline_font_color.';
			';

			return $return;
								
}

function postlist_style($instance, 
						$vcmp_postlist_type, 
						$vcmp_postlist_title_fs,   
						$vcmp_postlist_font_color, 
						$vcmp_postlist_a_color, 
						$vcmp_postlist_over_color) {

			$return = '.vcmp-postlist-'.$instance.' {
						color:'.$vcmp_postlist_font_color.';						
			}
			.vcmp-postlist-'.$instance.' a {
						color:'.$vcmp_postlist_a_color.';						
			}
			.vcmp-postlist-'.$instance.' a:hover {
						color:'.$vcmp_postlist_over_color.';						
			}
			.vcmp-postlist-'.$instance.' .vcmp-postlist-title {
						font-size:'.$vcmp_postlist_title_fs.';
			}
			';	

		return $return;							
}

function woocarousel_style ($instance,
						   $vcmp_woocarousel_item_padding, 
						   $vcmp_woocarousel_type, 
						   $vcmp_woocarousel_title_fs, 
						   $vcmp_woocarousel_background_color, 
						   $vcmp_woocarousel_secondary_color, 
						   $vcmp_woocarousel_font_color, 
						   $vcmp_woocarousel_a_color, 
						   $vcmp_woocarousel_over_color
						   ) {
			
				$return = '';
				$return .= '
				 .vcmp-woocarousel-'.$instance.' {
					color:'.$vcmp_woocarousel_font_color.';					 
				 }
				 .vcmp-woocarousel-'.$instance.' h1 {
					font-size: '.$vcmp_woocarousel_title_fs.'!important;
				 }
				 .vcmp-woocarousel-'.$instance.' a {
					color:'.$vcmp_woocarousel_a_color.';
				 }
				 .vcmp-woocarousel-'.$instance.' a:hover {
					color:'.$vcmp_woocarousel_over_color.';
				 }					 				 
				 .vcmp-woocarousel-'.$instance.' .vcmp-item,
				 .vcmp-woocarousel-'.$instance.' .vcmp-image-over .adtheme-icon-plus,
				 .vcmp-woocarousel-'.$instance.' .vcmp-image-over .adtheme-icon-cart,
				 .vcmp-controls ul li {
					background:'.$vcmp_woocarousel_secondary_color.';
				}
				.vcmp-woocarousel-'.$instance.' .vcmp-price  {				
					font-size:'.$vcmp_woocarousel_title_fs.';
				}
				.vcmp-woocarousel-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_woocarousel_background_color.';
				}
				.vcmp-woocarousel-'.$instance.' .vcmp-item .vcmp-title,
				.vcmp-woocarousel-'.$instance.' .vcmp-item .vcmp-item-sale {
					background:'.$vcmp_woocarousel_background_color.';
					color:'.$vcmp_woocarousel_font_color.';
				}
				.vcmp-woocarousel-'.$instance.' .vcmp-item .vcmp-price {
					color:'.$vcmp_woocarousel_font_color.';
				}
				.vcmp-woocarousel-'.$instance.' .vcmp-pagination a {
					background:'.$vcmp_woocarousel_secondary_color.';
				}
				.vcmp-woocarousel-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_woocarousel_background_color.';
				}								
				.vcmp-woocarousel-'.$instance.' .vcmp-image-over .adtheme-icon-plus:hover,
				.vcmp-woocarousel-'.$instance.' .vcmp-image-over .adtheme-icon-cart:hover {
					color:'.$vcmp_woocarousel_over_color.';
				}
				.vcmp-woocarousel-'.$instance.' .owl-item	{
					padding:'.$vcmp_woocarousel_item_padding.';
				}
				.vcmp-woocarousel.owl-theme .owl-controls .owl-buttons div {
					background:'.$vcmp_woocarousel_secondary_color.';
				}';
				
				if($vcmp_woocarousel_item_padding != '' || !empty($vcmp_woocarousel_item_padding)) {
				
					$return .= '.vcmp-woocarousel .owl-buttons .owl-prev {
						left:'.$vcmp_woocarousel_item_padding.'!important;	
					}
					.vcmp-woocarousel .owl-buttons .owl-next {
						right:'.$vcmp_woocarousel_item_padding.'!important;
					}
					'; 
				
				}
			return $return;			
}

function wooproductdisplay_style ($instance, 
						   $vcmp_wooproductdisplay_type, 
						   $vcmp_wooproductdisplay_title_fs, 
						   $vcmp_wooproductdisplay_background_color, 
						   $vcmp_wooproductdisplay_secondary_color, 
						   $vcmp_wooproductdisplay_font_color, 
						   $vcmp_wooproductdisplay_a_color, 
						   $vcmp_wooproductdisplay_over_color
						   ) {
			
				$return = '';
				$return .= '
				 .vcmp-wooproductdisplay-'.$instance.' {
					color:'.$vcmp_wooproductdisplay_font_color.';					 
				 }
				 .vcmp-wooproductdisplay-'.$instance.' h1 {
					font-size: '.$vcmp_wooproductdisplay_title_fs.'!important;
				 }
				 .vcmp-wooproductdisplay-'.$instance.' a {
					color:'.$vcmp_wooproductdisplay_a_color.';
				 }
				 .vcmp-wooproductdisplay-'.$instance.' a:hover {
					color:'.$vcmp_wooproductdisplay_over_color.';
				 }					 				 
				 .vcmp-wooproductdisplay-'.$instance.' .vcmp-item,
				 .vcmp-wooproductdisplay-'.$instance.' .vcmp-image-over .adtheme-icon-plus,
				 .vcmp-wooproductdisplay-'.$instance.' .vcmp-image-over .adtheme-icon-cart,
				 .vcmp-controls ul li {
					background:'.$vcmp_wooproductdisplay_secondary_color.';
				}			
				.vcmp-wooproductdisplay.vcmp-controls-'.$instance.' ul li {
					background:'.$vcmp_wooproductdisplay_secondary_color.';
					color:'.$vcmp_wooproductdisplay_font_color.';	
				}				
				.vcmp-wooproductdisplay.vcmp-controls-'.$instance.' ul li:hover, 
				.vcmp-wooproductdisplay.vcmp-controls-'.$instance.' ul li.active {
					color:'.$vcmp_wooproductdisplay_over_color.';
				}
				.vcmp-wooproductdisplay-'.$instance.' .vcmp-price {				
					font-size:'.$vcmp_wooproductdisplay_title_fs.';
				}				
				.vcmp-wooproductdisplay-'.$instance.'.vcmp-pagination .pagination .current,
				.vcmp-wooproductdisplay-'.$instance.'.vcmp-pagination .pagination a {
					background:'.$vcmp_wooproductdisplay_secondary_color.';
					color:'.$vcmp_wooproductdisplay_font_color.';
				}
				.vcmp-wooproductdisplay-'.$instance.'.vcmp-pagination a:hover,
				.vcmp-wooproductdisplay-'.$instance.'.vcmp-pagination .pagination .current {	
					color:'.$vcmp_wooproductdisplay_over_color.';
				}
				.vcmp-wooproductdisplay-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_wooproductdisplay_background_color.';
				}
				.vcmp-wooproductdisplay-'.$instance.' .vcmp-item .vcmp-title,
				.vcmp-wooproductdisplay-'.$instance.' .vcmp-item .vcmp-item-sale {
					background:'.$vcmp_wooproductdisplay_background_color.';
					color:'.$vcmp_wooproductdisplay_font_color.';
				}
				.vcmp-wooproductdisplay-'.$instance.' .vcmp-item .vcmp-price {
					color:'.$vcmp_wooproductdisplay_font_color.';
				}
				.vcmp-wooproductdisplay-'.$instance.'.vcmp-pagination a {
					background:'.$vcmp_wooproductdisplay_secondary_color.';
				}
				.vcmp-wooproductdisplay-'.$instance.' .vcmp-item:hover .vcmp-image-over {
					background:'.$vcmp_wooproductdisplay_background_color.';
				}								
				.vcmp-wooproductdisplay-'.$instance.' .vcmp-image-over .adtheme-icon-plus:hover,
				.vcmp-wooproductdisplay-'.$instance.' .vcmp-image-over .adtheme-icon-cart:hover {
					color:'.$vcmp_wooproductdisplay_over_color.';
				}
				.vcmp-woocontrols.vcmp-controls-'.$instance.' .active, 
				.vcmp-woocontrols.vcmp-controls-'.$instance.' .filter:hover {
					color:'.$vcmp_wooproductdisplay_over_color.';
				}
				.vcmp-wooproductdisplay.owl-theme .owl-controls .owl-buttons div {
					background:'.$vcmp_wooproductdisplay_background_color.';
				}';
			return $return;			
}

function wootab_style($instance, 
					  $vcmp_wootab_fs,  
					  $vcmp_wootab_background_color, 
					  $vcmp_wootab_secondary_color, 
					  $vcmp_wootab_font_color, 
					  $vcmp_wootab_a_color, 
					  $vcmp_wootab_over_color) {
				$return = '';
				$return .= '.vcmp-wootab-'.$instance.' {
					color:'.$vcmp_wootab_font_color.';					 
				 }
				 .vcmp-wootab-'.$instance.' {
					font-size: '.$vcmp_wootab_fs.'!important;
				 }
				 .vcmp-wootab-'.$instance.' a {
					color:'.$vcmp_wootab_a_color.';
				 }
				 .vcmp-wootab-'.$instance.' a:hover {
					color:'.$vcmp_wootab_over_color.';
				 }					 				 			
				.vcmp-wootab.vcmp-controls-'.$instance.' ul li {
					background:'.$vcmp_wootab_secondary_color.';
					color:'.$vcmp_wootab_a_color.';	
				}				
				.vcmp-wootab.vcmp-controls-'.$instance.' ul li:hover, 
				.vcmp-wootab.vcmp-controls-'.$instance.' ul li.active {
					color:'.$vcmp_wootab_over_color.';
				}				
				.vcmp-wootab-'.$instance.'.vcmp-pagination .pagination .current,
				.vcmp-wootab-'.$instance.'.vcmp-pagination .pagination a {
					background:'.$vcmp_wootab_secondary_color.';
					color:'.$vcmp_wootab_a_color.';
				}
				.vcmp-wootab-'.$instance.'.vcmp-pagination a:hover,
				.vcmp-wootab-'.$instance.'.vcmp-pagination .pagination .current {	
					color:'.$vcmp_wootab_over_color.';
				}
				.vcmp-wootab-'.$instance.'.vcmp-pagination a {
					background:'.$vcmp_wootab_secondary_color.';
				}							
				.vcmp-wootab-'.$instance.' .vcmp-header-container {
					background:'.$vcmp_wootab_background_color.';
					border-color:'.$vcmp_wootab_font_color.';
				}
				.vcmp-wootab-'.$instance.' .add_to_cart_button,
				.vcmp-wootab-'.$instance.' .plus_show,
				.vcmp-wootab-'.$instance.' .wc-forward,
				.vcmp-wootab-'.$instance.' .vcmp-item-sale {
					background:'.$vcmp_wootab_secondary_color.';
				}				
				';
			return $return;			
	
								
}

function vcmp_query($vcmp_query_source,
					$vcmp_query_sticky_posts, 
					$vcmp_query_posts_type, 
					$vcmp_query_categories,
					$vcmp_query_order, 
					$vcmp_query_orderby, 
					$vcmp_query_pagination, 
					$vcmp_query_number, 
					$vcmp_query_posts_for_page) {
					
					if($vcmp_query_source == 'wp_custom_posts_type') {
						$vcmp_query_sticky_posts = 'allposts';
					}
					
					if($vcmp_query_sticky_posts == 'allposts') {
					
						$query = 'post_type=Post&post_status=publish&orderby='.$vcmp_query_orderby.'&order='.$vcmp_query_order.'';						
						
						// CUSTOM POST TYPE
						if($vcmp_query_source == 'wp_custom_posts_type') {
							$query .= '&post_type='.$vcmp_query_posts_type.'';
						}
						
						// CATEGORIES
						if($vcmp_query_categories != '' && !empty($vcmp_query_categories) && $vcmp_query_source == 'wp_custom_posts_type') {
							$taxonomy_names = get_object_taxonomies( $vcmp_query_posts_type );
							$query .= '&'.$taxonomy_names[0].'='.$vcmp_query_categories.'';	
						}
						
						if($vcmp_query_categories != '' && !empty($vcmp_query_categories) && $vcmp_query_source == 'wp_posts') {
							$query .= '&category_name='.$vcmp_query_categories.'';	
						}
							
						if($vcmp_query_pagination == 'yes') {
							$query .= '&posts_per_page='.$vcmp_query_posts_for_page.'';	
						} else {
							if($vcmp_query_number == '') { $vcmp_query_number = '-1'; }
							$query .= '&posts_per_page='.$vcmp_query_number.'';
						}
					
						// PAGINATION		
						if($vcmp_query_pagination == 'yes') {
							if ( get_query_var('paged') ) {
								$paged = get_query_var('paged');
							
							} elseif ( get_query_var('page') ) {			
								$paged = get_query_var('page');			
							} else {			
								$paged = 1;			
							}			
							$query .= '&paged='.$paged.'';
						}
						// #PAGINATION	
					
					} else {
						

						if($vcmp_query_pagination == 'yes') {
							$vcmp_query_number = $vcmp_query_posts_for_page;	
						} else {
							if($vcmp_query_number == '') { $vcmp_query_number = '-1'; }
							$vcmp_query_number = $vcmp_query_number;
						}

						// PAGINATION		
						
						if ( get_query_var('paged') ) {
							$paged = get_query_var('paged');							
						} elseif ( get_query_var('page') ) {			
							$paged = get_query_var('page');			
						} else {			
							$paged = 1;			
						}			
						
						// #PAGINATION	
											
						/* STICKY POST DA FARE ARRAY PER SCRITTURA IN ARRAY */
					
						$sticky = get_option( 'sticky_posts' );
						$sticky = array_slice( $sticky, 0, 5 );
						$query = array(
							'post_type' => 'post',
							'post_status' => 'publish',
							'orderby' 	=> $vcmp_query_orderby,
							'order' => $vcmp_query_order,
							'category_name' => $vcmp_query_categories,
							'posts_per_page' => $vcmp_query_number,
							'paged' => $paged, 
							'post__in'  => $sticky,
							'ignore_sticky_posts' => 1
						);
					
						
					}
					
					
					return $query;	
}

function vcmp_query_woocommerce($vcmp_query_categories,
								$vcmp_query_order, 
								$vcmp_query_orderby, 
								$vcmp_query_pagination, 
								$vcmp_query_number, 
								$vcmp_query_posts_for_page) {
					
					
						$query = 'post_type=Post&post_status=publish&orderby='.$vcmp_query_orderby.'&order='.$vcmp_query_order.'';						
												
						// CUSTOM POST TYPE
						$query .= '&post_type=product';
						
						// CATEGORIES
						if($vcmp_query_categories != '' || !empty($vcmp_query_categories)) {
							$taxonomy_names = get_object_taxonomies( 'product' );
							$query .= '&product_cat='.$vcmp_query_categories.'';	
						}
							
						if($vcmp_query_pagination == 'yes') {
							$query .= '&posts_per_page='.$vcmp_query_posts_for_page.'';	
						} else {
							if($vcmp_query_number == '') { $vcmp_query_number = '-1'; }
							$query .= '&posts_per_page='.$vcmp_query_number.'';
						}
					
						// PAGINATION		
						if($vcmp_query_pagination == 'yes') {
							if ( get_query_var('paged') ) {
								$paged = get_query_var('paged');
							
							} elseif ( get_query_var('page') ) {			
								$paged = get_query_var('page');			
							} else {			
								$paged = 1;			
							}			
							$query .= '&paged='.$paged.'';
						}
						// #PAGINATION					

						if($vcmp_query_pagination == 'yes') {
							$vcmp_query_number = $vcmp_query_posts_for_page;	
						} else {
							if($vcmp_query_number == '') { $vcmp_query_number = '-1'; }
							$vcmp_query_number = $vcmp_query_number;
						}					
					
					return $query;	
}

function vcmp_numeric_pagination($pages = '', $range = 2,$loop)
{  
     $showitems = ($range * 2)+1;  

     global $paged;
     if(empty($paged)) $paged = 1;

     if($pages == '')
     {
         $pages = $loop->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }   
	
	 $return = '';
	
     if(1 != $pages)
     {		 	
         $return .= "<div class='pagination'>";
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) $return .=  "<a href='".get_pagenum_link(1)."'>&laquo;</a>";
         if($paged > 1 && $showitems < $pages) $return .=  "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo;</a>";

         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 $return .=  ($paged == $i)? "<span class='current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";
             }
         }

         if ($paged < $pages && $showitems < $pages) $return .= "<a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a>";  
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) $return .=  "<a href='".get_pagenum_link($pages)."'>&raquo;</a>";
         $return .=  "</div>\n";
     }
	 
	 return $return;
}

function vcmp_filter_js($instance,$type) {
			
			$return = '';
			$return .= '<script type="text/javascript">';
			$return .= "jQuery(function($){
	  					$(document).ready(function(){
							$(function(){
							$('.vcmp-".$type."-".$instance."').mixitup({
							targetSelector: '.vcmp-item',
							filterSelector: '.filter',
							sortSelector: '.sort',
							buttonEvent: 'click',
							effects: ['fade','scale','rotateX','rotateY','rotateZ'],
							listEffects: null,
							easing: 'smooth',
							layoutMode: 'grid',
							targetDisplayGrid: 'inline-block',
							targetDisplayList: 'block',
							gridClass: '',
							listClass: '',
							transitionSpeed: 600,
							showOnLoad: 'all',
							sortOnLoad: false,
							multiFilter: false,
							filterLogic: 'or',
							resizeContainer: true,
							minHeight: 0,
							failClass: 'fail',
							perspectiveDistance: '3000',
							perspectiveOrigin: '50% 50%',
							animateGridList: true,
							onMixLoad: null,
							onMixStart: null,
							onMixEnd: null
						});
						});
						});
						});";		
			$return .= '</script>';
	
	return $return;
}

function vcmp_filter_item($instance,$type,$vcmp_query_source,$vcmp_query_categories,$vcmp_query_posts_type) {


		$return = '<div class="'.$type.' vcmp-controls vcmp-controls-'.$instance.'">
					<ul>
						<li data-filter="all" class="filter active">'.__('All','vcmegapack').'</li>';
		
		/* WP POST */
		if($vcmp_query_source == 'wp_posts') {
			// ALL CATEGORY
			if(empty($vcmp_query_categories) || $vcmp_query_categories == '') {
						$categories = get_categories();
						foreach ( $categories as $category ) {
								$return .= '<li data-filter="' . $category->slug . '" class="filter">' . $category->name . '</li>';
						}
			} else {
						$wp_custom_taxonomy_cat_split = explode(",", $vcmp_query_categories);

						foreach ( $wp_custom_taxonomy_cat_split as $category ) {
								$idObj = get_category_by_slug($category);
  								$name = $idObj->term_id;
								$return .= '<li data-filter="' . $category . '" class="filter">' . get_cat_name($name) . '</li>';
						}
			}
		}
		/* #WP POST */

		/* WP CUSTOM POST */
		if($vcmp_query_source == 'wp_custom_posts_type') {
			// ALL CATEGORY
			$taxonomy_names = get_object_taxonomies( $vcmp_query_posts_type );
			
			// CHECK WOOCOMMERCE
			if($vcmp_query_posts_type == 'product' && class_exists('Woocommerce')) {
					$taxonomy_names[0]= 'product_cat';
			}
			// #CHECK WOOCOMMERCE
			 
			if(!empty($taxonomy_names)) {
				if(empty($vcmp_query_categories)) {
							$categories = get_categories('taxonomy='.$taxonomy_names[0].'');
	
							foreach ( $categories as $category ) {
									$return .= '<li data-filter="' . $category->slug . '" class="filter">' . $category->name . '</li>';
							}
				} else {
						$wp_custom_taxonomy_cat_split = explode(",", $vcmp_query_categories);
							foreach ( $wp_custom_taxonomy_cat_split as $category ) {
									$category_single = get_term_by('name',$category,$taxonomy_names[0]);								
									$return .= '<li data-filter="' . $category_single->slug . '" class="filter">' . $category . '</li>';
							}
				}
			}
		}
		/* #WP CUSTOM POST */		
		
		
		
		
		
		$return .= '</ul></div>';
		
		
	return $return;
}

function vcmp_filter_item_div($vcmp_query_source,$vcmp_query_categories,$vcmp_query_posts_type) {

	/* WP POST */
	if($vcmp_query_source == 'wp_posts') {
		if(empty($vcmp_query_categories) || $vcmp_query_categories == '') {
			$category = get_the_category();
			$return = '<div data-cat="'.$category[0]->slug.'" class="vcmp-item '.$category[0]->slug.'" style=" display: inline-block; opacity: 1;">';
		} else {
			$cat_array = get_the_category();
			$cat_list = '';
			$cat_list2 = array();
				foreach ( $cat_array as $category ) {
						$cat_list .= $category->slug.' ';
						$cat_list2[] = $category->name;
				}
			$return = '<div data-cat="'.$cat_list.'" class="vcmp-item '.$cat_list.'" style=" display: inline-block; opacity: 1;">';				
		}
	}
	/* #WP POST */

	/* WP CUSTOM POST */
	if($vcmp_query_source == 'wp_custom_posts_type') {
					$taxonomy_names = get_object_taxonomies( $vcmp_query_posts_type );
					
					// CHECK WOOCOMMERCE
					if($vcmp_query_posts_type == 'product' && class_exists('Woocommerce')) {
						$taxonomy_names[0]= 'product_cat';
					}
					// #CHECK WOOCOMMERCE 
						
					if(!empty($taxonomy_names)) {					
						$cat_array = wp_get_post_terms( get_the_ID(), $taxonomy_names[0]);
						$cat_list = '';
						$cat_list2 = array();
						foreach ( $cat_array as $category ) {
							$cat_list .= $category->slug.' ';
							$cat_list2[] = $category->name;
						}
						$return = '<div data-cat="'.$cat_list.'" class="vcmp-item '.$cat_list.'" style=" display: inline-block; opacity: 1;">';								
					} else {
						$return = '<div class="vcmp-item" style=" display: inline-block; opacity: 1;">';
					}
	}	
	/* #WP CUSTOM POST */

	
	return $return;	
}

function vcmegapack_format_icon() {
	$id_post = get_the_id(); 
    $format = get_post_format( $id_post );   
    if (empty($format)) { $format = 'standard'; }
	if ($format == 'standard') { $return = '<span class="adtheme-icon-file3"></span>'; }
	if ($format == 'aside') { $return = '<span class="adtheme-icon-file"></span>'; }
	if ($format == 'link') { $return = '<span class="adtheme-icon-attachment"></span>'; }   
    if ($format == 'gallery') { $return = '<span class="adtheme-icon-images"></span>'; }
    if ($format == 'video') { $return = '<span class="adtheme-icon-youtube"></span>'; }
    if ($format == 'audio') { $return = '<span class="adtheme-icon-headphones"></span>'; }
    if ($format == 'image') { $return = '<span class="adtheme-icon-image2"></span>'; } 
    if ($format == 'quote') { $return = '<span class="adtheme-icon-quotes-left"></span>'; }
    if ($format == 'status') { $return = '<span class="adtheme-icon-bubble2"></span>'; }
	
	return $return;	
}

function vcmegapack_content() {
	global $post;
    $format = get_post_format( get_the_id() );   
    if (empty($format)) { $format = 'standard'; }
	$return = '';
	if($format == 'video') {
		if(strpos($post->post_content, '[video') !== false) {
			$video_part1 = explode("[video",$post->post_content);
			$video_part2 = explode("[/video]",$video_part1[1]);
			$video = '[video '.$video_part2[0].'[/video]'; 
			$return .= '<div class="vcmp-timeline-video">'.do_shortcode($video).'</div>';
		} elseif(strpos($post->post_content, '[embed') !== false) {
			global $wp_embed;
			$video_part1 = explode("[embed]",$post->post_content);
			$video_part2 = explode("[/embed]",$video_part1[1]);
			$video = '[embed]'.$video_part2[0].'[/embed]'; 
			$return .= '<div class="vcmp-timeline-video">'.$wp_embed->run_shortcode($video).'</div>';				
		}
	}
	if($format == 'audio') {
		if(strpos($post->post_content, '[audio') !== false) {
			$audio_part1 = explode("[audio",$post->post_content);
			$audio_part2 = explode("[/audio]",$audio_part1[1]);
			$audio = '[audio '.$audio_part2[0].'[/audio]'; 
			$return .= '<div class="vcmp-timeline-audio">'.do_shortcode($audio).'</div>';
		} elseif(strpos($post->post_content, '[embed') !== false) {
			global $wp_embed;
			$audio_part1 = explode("[embed]",$post->post_content);
			$audio_part2 = explode("[/embed]",$audio_part1[1]);
			$audio = '[embed]'.$audio_part2[0].'[/embed]'; 
			$return .= '<div class="vcmp-timeline-video">'.$wp_embed->run_shortcode($audio).'</div>';				
		}
	}
	if($format == 'image' || 
	   $format == 'standard' || 
	   $format == 'aside' || 
	   $format == 'quote' || 
	   $format == 'status') {
		$return .= '<span class="vcmp-timeline-image">'.vcmegapack_thumbs('vcmegapack-rectangle').'</span>';
	}

	return $return;
}