<?php
/* CLASS: Box Message */

class vcmegapack_boxmessage_class {
    function __construct() {
        // We safely integrate with VC with this hook
        add_action( 'init', array( $this, 'integrate_vcmegapack_boxmessageWithVC' ) );
 
        // Use this when creating a shortcode addon
        add_shortcode( 'vcmp_boxmessage', array( $this, 'vcmegapack_boxmessage_function' ) );

        // Register CSS and JS
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_boxmessage_loadCssAndJs' ) );

    }
 
    public function integrate_vcmegapack_boxmessageWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('icons-list.php');
		include('animate-list.php');
        
		vc_map( array(
            "name" => __("Box Message", 'vcmegapack'),
            "description" => __("Add your message box", 'vcmegapack'),
            "base" => "vcmp_boxmessage",
            "class" => "adtheme",
            "controls" => "full",
            "icon" => plugins_url('vcmegapack/assets/img/box-message.png'),
			"admin_enqueue_css" => array(plugins_url('vcmegapack/assets/css/general/fonts.css')),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Type Box Message", 'vcmegapack'),
                  "param_name" => "vcmp_boxmessagge_type",
                  "value" => array(
									__('Default','vcmegapack')  	=> 'default',
									__('Custom','vcmegapack') 	=> 'custom',
				   )
				),			
			
			
			
				// DEFAULT		
			
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Type Default Message", 'vcmegapack'),
                  "param_name" => "vcmp_boxmessagge_default_type",
                  "value" => array(
									__('Info','vcmegapack')  	=> 'wpb_alert-info',
									__('Alert','vcmegapack') 	=> 'wpb_alert-warning',
									__('Success','vcmegapack') 	=> 'wpb_alert-success',
									__('Error','vcmegapack') 	=> 'wpb_alert-danger',
				   ),
				  'dependency' => array(
						'element' => 'vcmp_boxmessagge_type',
						'value' => array( 'default' )
				  ),				   
				),			
			
			
				// BOTH
				
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Style", 'vcmegapack'),
                  "param_name" => "vcmp_boxmessagge_default_style",
                  "value" => array(
									__('Rounded','vcmegapack')  	=> 'vc_alert_rounded',
									__('Square','vcmegapack') 	=> 'vc_alert_square',
									__('Round','vcmegapack') 	=> 'vc_alert_round',
									__('Outlined','vcmegapack') 	=> 'vc_alert_outlined',
									__('3D','vcmegapack') 	=> 'vc_alert_3d',
									__('Square Outlined','vcmegapack') 	=> 'vc_alert_square_outlined',									
				   ),				   
				),				

			
			  // CUSTOM
			             
			  array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Icon", 'vcmegapack'),
                  "param_name" => "vcmp_boxmessagge_custom_icon",
				  "admin_label" => true,
                  "value" => $adtheme_icons_list,
				  'dependency' => array(
						'element' => 'vcmp_boxmessagge_type',
						'value' => array( 'custom' )
				  ),				  
              ),
			   				  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Icon Float", 'vcmegapack'),
                  "param_name" => "vcmp_boxmessagge_custom_icon_float",
                  "value" => array(
									__('Left','vcmegapack')  	=> 'left',
									__('Right','vcmegapack') 	=> 'right',
									__('None','vcmegapack') 	=> 'none'
				   ),
				  'dependency' => array(
						'element' => 'vcmp_boxmessagge_type',
						'value' => array( 'custom' )
				  ),				   
				),              
 

		
				
				// BOTH
			  	array(
				  "type" => "textarea",
				  "class" => "",
				  "heading" => __("Text Message",'vcmegapack'),
				  "param_name" => "vcmp_boxmessagge_text",				  
			 	),				
				
				
				// STYLE
				
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Icon Size (px)",'vcmegapack'),
				  "param_name" => "vcmp_boxmessagge_custom_size",
				  "description" => "ex 15",
				  'dependency' => array(
						'element' => 'vcmp_boxmessagge_type',
						'value' => array( 'custom' )
				  ),
				  "group" => "Style"				  				  
			  ),				
              array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => __("Icon Color", 'vcmegapack'),
                  "param_name" => "vcmp_boxmessagge_custom_icon_color",
                  "value" => '#FC615D',
				  'dependency' => array(
						'element' => 'vcmp_boxmessagge_type',
						'value' => array( 'custom' )
				  ),
				  "group" => "Style"				  
              ),					  		  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Icon Margin",'vcmegapack'),
				  "param_name" => "vcmp_boxmessagge_custom_margin",
				  "description" => "ex 2px or 2px 2px 2px 2px",		
				  'dependency' => array(
						'element' => 'vcmp_boxmessagge_type',
						'value' => array( 'custom' )
				  ),
				  "group" => "Style"				  		  
			  ),
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Icon Padding",'vcmegapack'),
				  "param_name" => "vcmp_boxmessagge_custom_padding",
				  "description" => "ex 2px or 2px 2px 2px 2px",
				  'dependency' => array(
						'element' => 'vcmp_boxmessagge_type',
						'value' => array( 'custom' )
				  ),
				  "group" => "Style"				  				  
			  ),				
			 array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => __("Background Color", 'vcmegapack'),
                  "param_name" => "vcmp_boxmessagge_custom_background_color",
                  "value" => '#FC615D',
				  'dependency' => array(
						'element' => 'vcmp_boxmessagge_type',
						'value' => array( 'custom' )
				  ),
				  "group" => "Style"				  
              ), 				
				
			 array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => __("Border Color only For 3d Box", 'vcmegapack'),
                  "param_name" => "vcmp_boxmessagge_custom_background_border_3d_color",
                  "value" => '#FC615D',
				  'dependency' => array(
						'element' => 'vcmp_boxmessagge_type',
						'value' => array( 'custom' )
				  ),
				  "group" => "Style"				  
              ),
			  				
				// ANIMATION								  							  		  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(
				  					__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
									
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			  
			  			  
			)
		)		  			  			  			  			  			  
	  );
    }	
	
    public function vcmegapack_boxmessage_loadCssAndJs() {
		
		// Main		
		wp_register_style( 'vcmp-fonts',  AD_VCMP_URL . 'assets/css/general/fonts.css' );
					
    }	
}
// Finally initialize code
new vcmegapack_boxmessage_class();