<?php
/* CLASS: Buttons */

class vcmegapack_buttons_class {
    function __construct() {
        add_action( 'init', array( $this, 'integrate_vcmegapack_buttonsWithVC' ) );
        add_shortcode( 'vcmp_buttons', array( $this, 'vcmegapack_buttons_function' ) );
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_buttons_loadCssAndJs' ) );
    }
 
    public function integrate_vcmegapack_buttonsWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('icons-list.php');
		include('animate-list.php');
		
		vc_map( array(
            "name" => __("Button", 'vcmegapack'),
            "description" => __("Add your button", 'vcmegapack'),
            "base" => "vcmp_buttons",
            "class" => "adtheme",
            "controls" => "full",
            "icon" => plugins_url('vcmegapack/assets/img/button.png'),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(	
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Button Type", 'vcmegapack'),
                  "param_name" => "vcmp_button_type",
                  "value" => array(
				  					__('Flat Button Mini','vcmegapack') 					=> 'flat-button-mini',
									__('Flat Button Small','vcmegapack')  					=> 'flat-button-small',
									__('Flat Button Medium','vcmegapack')  					=> 'flat-button-medium',
									__('Flat Button Large','vcmegapack')  					=> 'flat-button-large',
									__('Backgraund Transparent Button Mini','vcmegapack') 	=> 'bg-none-button-mini',
									__('Backgraund Transparent Button Small','vcmegapack') 	=> 'bg-none-button-small',
									__('Backgraund Transparent Button Medium','vcmegapack') => 'bg-none-button-medium',
									__('Backgraund Transparent Button Large','vcmegapack') 	=> 'bg-none-button-large',
				  					__('3D Button Mini','vcmegapack') 						=> 'd-button-mini',
									__('3D Button Small','vcmegapack')  					=> 'd-button-small',
									__('3D Button Medium','vcmegapack')  					=> 'd-button-medium',
									__('3D Button Large','vcmegapack')  					=> 'd-button-large'								
				   ),			   
				),			

				array(
					'type' => 'textarea',
					'heading' => __( 'Text', 'vcmegapack' ),
					'param_name' => 'vcmp_button_text',
					'admin_label' => true,
					'value' => __( 'This is a button message', 'vcmegapack' ),					
				),

				array(
				    'type' => 'textfield',
					'class' => '',
					'heading' => __( 'Url Button', 'vcmegapack' ),
					'param_name' => 'vcmp_button_url',
				    'description' => 'ex http://www.google.com',
					'value' => '',										
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Target Button", 'vcmegapack'),
                  "param_name" => "vcmp_button_target_url",
                  "value" => array(
				  					__('Self (Same Window)','vcmegapack') 		=> '_self',
									__('Blank (New Window)','vcmegapack')  		=> '_blank',
				   ),				   			   
				),									
				

			   /* ICON */
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Icon Show", 'vcmegapack'),
                  "param_name" => "vcmp_button_icon_show",
                  "value" => array(
				  					__('Hidden','vcmegapack')  	=> 'vcmp-icon-hidden',
				  					__('Show','vcmegapack') 	=> 'vcmp-icon-show'
									
				   ),				   			   
				),			    			           
			    array(
					  "type" => "dropdown",
					  "class" => "",
					  "heading" => __("Icon", 'vcmegapack'),
					  "param_name" => "vcmp_button_icon",
					  "value" => $adtheme_icons_list,					  
					  "dependency" => array(
							'element' => 'vcmp_button_icon_show',
							'value' => array( 'vcmp-icon-show' )
					  ),				  
				 ),
					  
           		/* STYLE */
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Font Type", 'vcmegapack'),
                  "param_name" => "vcmp_button_font_type",
                  "value" => array(
				  					__('Default Site','vcmegapack') 			=> 'vcmp-font-default',
									__('Google Fonts Custom','vcmegapack')  	=> 'vcmp-google-font'
				   ),
				   "group" => "Style"				   			   
				),				
				array(
					'type' => 'google_fonts',
					'param_name' => 'vcmp_button_google_fonts',
					'value' => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
					'settings' => array(
						'fields' => array(
							'font_family_description' => __( 'Select font family.', 'vcmegapack' ),
							'font_style_description' => __( 'Select font styling.', 'vcmegapack' )
						)
					),
					'dependency' => array(
							'element' => 'vcmp_button_font_type',
							'value' => array( 'vcmp-google-font' )
					),					
					"group" => "Style"
				),					
			    array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Text Size (px)",'vcmegapack'),
				  "param_name" => "vcmp_button_size",
				  "description" => "ex 15px",
				  "group" => "Style"				  			  				  
			    ),
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Text Align", 'vcmegapack'),
                  "param_name" => "vcmp_button_align",
                  "value" => array(
				  					__('Center','vcmegapack') 	=> 'vcmp-align-center',
									__('Left','vcmegapack')  	=> 'vcmp-align-left',
									__('Right','vcmegapack')  	=> 'vcmp-align-right',
				   ),
				   "group" => "Style"				   			   
				),
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Button Display", 'vcmegapack'),
                  "param_name" => "vcmp_button_display",
                  "value" => array(
				  					__('Block','vcmegapack') 	=> 'block',
									__('Inline','vcmegapack')  	=> 'inline-block'
				   ),
				   "group" => "Style"				   			   
				),				
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Border Type", 'vcmegapack'),
                  "param_name" => "vcmp_button_border_type",
                  "value" => array(
				  					__('Square','vcmegapack')  		=> 'vcmp-border-square',
				  					__('Round','vcmegapack') 		=> 'vcmp-border-round'
									
				   ),
				   "group" => "Style"				   			   
				),
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Border Style", 'vcmegapack'),
                  "param_name" => "vcmp_button_border_style",
                  "value" => array(
				  					__('Solid','vcmegapack')  		=> 'solid',
				  					__('Dotted','vcmegapack') 		=> 'dotted',
									__('Dashed','vcmegapack') 		=> 'dashed',
									__('Double','vcmegapack') 		=> 'double',
									__('Inset','vcmegapack') 		=> 'inset',
									__('Outset','vcmegapack') 		=> 'outset',									
				   ),
				   "dependency" => array(
							'element' => 'vcmp_button_type',
							'value' => array(
										'bg-none-button-mini', 
										'bg-none-button-small',
										'bg-none-button-medium',
										'bg-none-button-large'																			
									)
				   ),				   
				   "group" => "Style"				   			   
				),																			
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Text Color", 'vcmegapack'),
					  "param_name" => "vcmp_button_text_color",
					  "value" => '#FC615D',
					  "group" => "Style"			  
				 ),  
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Over Color", 'vcmegapack'),
					  "param_name" => "vcmp_button_over_color",
					  "value" => '#FC615D',
					  "dependency" => array(
							'element' => 'vcmp_button_type',
							'value' => array(
										'bg-none-button-mini', 
										'bg-none-button-small',
										'bg-none-button-medium',
										'bg-none-button-large'																			
									)
					  ),					  
					  "group" => "Style"					  					  				  
				  ),
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Background Color", 'vcmegapack'),
					  "param_name" => "vcmp_button_background_color",
					  "value" => '#FC615D',
					  "dependency" => array(
							'element' => 'vcmp_button_type',
							'value' => array( 
										'flat-button-mini', 
										'flat-button-small',
										'flat-button-medium',
										'flat-button-large',							
										'd-button-mini', 
										'd-button-small',
										'd-button-medium',
										'd-button-large'
									)
					  ),					  
					  "group" => "Style"					  					  				  
				  ),				  
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Border Color", 'vcmegapack'),
					  "param_name" => "vcmp_button_border_color",
					  "value" => '#FC615D',
					  "dependency" => array(
							'element' => 'vcmp_button_type',
							'value' => array( 
										'd-button-mini', 
										'd-button-small',
										'd-button-medium',
										'd-button-large'
									)
					  ),						  
					  "group" => "Style"					  					  				  
				  ),
				  				  
				/* ANIMATION */  												  							  		  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(									
									__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			  
			  			  
			)
		)		  			  			  			  			  			  
	  );
    }	
	
    public function vcmegapack_buttons_loadCssAndJs() {	
		wp_register_style( 'vcmp-buttons',  AD_VCMP_URL . 'assets/css/buttons.css' );
    }	
}
// Finally initialize code
new vcmegapack_buttons_class();