<?php
/* CLASS: contactform */

class vcmegapack_contactform_class {
    function __construct() {
        // We safely integrate with VC with this hook
        add_action( 'init', array( $this, 'integrate_vcmegapack_contactformWithVC' ) );
 
        // Use this when creating a shortcode addon
        add_shortcode( 'vcmp_contactform', array( $this, 'vcmegapack_contactform_function' ) );

        // Register CSS and JS
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_contactform_loadCssAndJs' ) );

    }
 
    public function integrate_vcmegapack_contactformWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('animate-list.php');
		
        vc_map( array(
            "name" => __("Contact Form 7", 'vcmegapack'),
            "description" => __("Add Contact Form", 'vcmegapack'),
            "base" => "vcmp_contactform",
            "class" => "",
            "icon" => plugins_url('vcmegapack/assets/img/contactform.png'),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(			  			
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Contact Form 7 ID",'vcmegapack'),
				  "description" => 'enter your contact form code',
				  "param_name" => "vcmp_contactform_shortcodes_id",
				  'admin_label' => true
			  ),
			  /* STYLE */	
			   array(
				 "type" => "dropdown",
				 "class" => "",
				 "heading" => __("Border Input", 'vcmegapack'),
				 "param_name" => "vcmp_contactform_border_type",
             	 "value" => array(
				  					__('Square','vcmegapack') => 'vcmp-cf7-border-square',
									__('Round','vcmegapack')  => 'vcmp-cf7-border-round',
				 ),				  
				),			  			  	
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Text Color", 'vcmegapack'),
					  "param_name" => "vcmp_contactform_text_color",
					  "value" => '#FC615D',
					  "group" => "Style"			  
				 ), 					
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Background Field Color", 'vcmegapack'),
					  "param_name" => "vcmp_contactform_background_field_color",
					  "value" => '#FC615D',
					  "group" => "Style"			  
				 ),
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Background Container Color", 'vcmegapack'),
					  "param_name" => "vcmp_contactform_background_color",
					  "value" => '#FC615D',
					  "group" => "Style"			  
				 ),				  					
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Border Color", 'vcmegapack'),
					  "param_name" => "vcmp_contactform_border_color",
					  "value" => '#FC615D',
					  "group" => "Style"			  
				 ), 					
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Active Color", 'vcmegapack'),
					  "param_name" => "vcmp_contactform_active_color",
					  "value" => '#FC615D',
					  "group" => "Style"			  
				 ),
				 						  
				/* ANIMATION */  												  							  		  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(									
									__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),					  			  			  		  			  
			)  
		)		  			  			  			  			  			  
	  );
    }	
	
    public function vcmegapack_contactform_loadCssAndJs() {

		// Main
		wp_register_style( 'vcmp-contactform',  AD_VCMP_URL . 'assets/css/contactform7.css' );
			
    }	
}
// Finally initialize code
new vcmegapack_contactform_class();