<?php
/* CLASS: countdown */

class vcmegapack_countdown_class {
    function __construct() {
        // We safely integrate with VC with this hook
        add_action( 'init', array( $this, 'integrate_vcmegapack_countdownWithVC' ) );
 
        // Use this when creating a shortcode addon
        add_shortcode( 'vcmp_countdown', array( $this, 'vcmegapack_countdown_function' ) );

        // Register CSS and JS
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_countdown_loadCssAndJs' ) );

    }
 
    public function integrate_vcmegapack_countdownWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('animate-list.php');
        
		vc_map( array(
            "name" => __("Countdown", 'vcmegapack'),
            "description" => __("Add your Countdown", 'vcmegapack'),
            "base" => "vcmp_countdown",
            "class" => "",
            "controls" => "full",
            "icon" => plugins_url('vcmegapack/assets/img/countdown.png'),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(			  		  						  	  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Year (format: YYYY)",'vcmegapack'),
				  "param_name" => "vcmp_countdown_year"				  
			  ),
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Month (format: MM)",'vcmegapack'),
				  "param_name" => "vcmp_countdown_month"				  
			  ),
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Day (format: DD)",'vcmegapack'),
				  "param_name" => "vcmp_countdown_day"				  
			  ),
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Type Coundown", 'vcmegapack'),
                  "param_name" => "vcmp_countdown_type",
                  "value" => array(
									__('382 Days 05:44:12','vcmegapack') => 'type1',
									__('25 weeks 4 days 23 hr 57 min 56 sec','vcmegapack') 	  => 'type2',
									__('47 hr 59 min 14 sec','vcmegapack') => 'type3',
				   )
				),
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Style", 'vcmegapack'),
                  "param_name" => "vcmp_countdown_style",
                  "value" => array(
									__('Style 1','vcmegapack') => 'style1',
									__('Style 2','vcmegapack') 	  => 'style2',
									__('Style 3','vcmegapack') => 'style3',
				   )
				),
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Active Custom Style", 'vcmegapack'),
                  "param_name" => "vcmp_countdown_style_active",
                  "value" => array(
									__('Default style','vcmegapack')  	=> 'off',
									__('Custom Style','vcmegapack') 	=> 'on',
				  ),
				  "group" => "Style" 
				),				
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Main Color", 'vcmegapack'),
					  "param_name" => "vcmp_countdown_color",
					  "value" => '#FC615D',
					  "dependency" => array(
							'element' => 'vcmp_countdown_style_active',
							'value' => array( 'on' )
					  ),					  
					  "group" => "Style"				  
				),
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Secondary Color", 'vcmegapack'),
					  "param_name" => "vcmp_countdown_secondary_color",
					  "value" => '#FC615D',
					  "dependency" => array(
							'element' => 'vcmp_countdown_style_active',
							'value' => array( 'on' )
					  ),					  
					  "group" => "Style"				  
				),
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Background Color", 'vcmegapack'),
					  "param_name" => "vcmp_countdown_background_color",
					  "value" => '#FC615D',
					  "dependency" => array(
							'element' => 'vcmp_countdown_style_active',
							'value' => array( 'on' )
					  ),					  
					  "group" => "Style"				  
				),				
			  	array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Font Size",'vcmegapack'),
				  "param_name" => "vcmp_countdown_font_size",
				  "description" => "ex 50px",
				  "dependency" => array(
							'element' => 'vcmp_countdown_style_active',
							'value' => array( 'on' )
				  ),				  
				  "group" => "Style"					  		  
			  	),
			  	array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Padding",'vcmegapack'),
				  "param_name" => "vcmp_countdown_padding",
				  "description" => "ex 50px",
				  "dependency" => array(
							'element' => 'vcmp_countdown_style_active',
							'value' => array( 'on' )
				  ),				  
				  "group" => "Style"					  		  
			  	),	
			  	array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Margin",'vcmegapack'),
				  "param_name" => "vcmp_countdown_margin",
				  "description" => "ex 50px",
				  "dependency" => array(
							'element' => 'vcmp_countdown_style_active',
							'value' => array( 'on' )
				  ),				  
				  "group" => "Style"					  		  
			  	),											 				 												  			  			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(
				  					__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
									
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			    
			  			  
			)
		)		  			  			  			  			  			  
	  );
    }	
	
    public function vcmegapack_countdown_loadCssAndJs() {
		
		// Main
		wp_register_style( 'vcmp-countdown',  AD_VCMP_URL . 'assets/css/countdown.css' );		
		wp_register_script( 'vcmp-countdown-js',  AD_VCMP_URL . 'assets/js/jquery.countdown.min.js' , array('jquery'), '', true);

					
    }	
}
// Finally initialize code
new vcmegapack_countdown_class();