<?php
/* CLASS: gallery */

class vcmegapack_gallery_class {
    function __construct() {
        add_action( 'init', array( $this, 'integrate_vcmegapack_galleryWithVC' ) );
        add_shortcode( 'vcmp_gallery', array( $this, 'vcmegapack_gallery_function' ) );
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_gallery_loadCssAndJs' ) );
    }
 
    public function integrate_vcmegapack_galleryWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('icons-list.php');
		include('animate-list.php');
		
		vc_map( array(
            "name" => __("Gallery", 'vcmegapack'),
            "description" => __("Add your gallery", 'vcmegapack'),
            "base" => "vcmp_gallery",
            "class" => "adtheme",
            "controls" => "full",
            "icon" => plugins_url('vcmegapack/assets/img/gallery.png'),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(	
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Gallery Type", 'vcmegapack'),
                  "param_name" => "vcmp_gallery_type",
                  "value" => array(
				  					__('Style 1','vcmegapack') 	=> 'vcmp-gallery-style1',
									__('Style 2','vcmegapack')  => 'vcmp-gallery-style2',
									__('Style 3','vcmegapack')  => 'vcmp-gallery-style3',															
				   ),			   
				),		

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Columns", 'vcmegapack'),
                  "param_name" => "vcmp_gallery_columns",
                  "value" => array(
				  					__('1','vcmegapack') 	=> '1',
									__('2','vcmegapack')  	=> '2',
				  					__('3','vcmegapack') 	=> '3',
									__('4','vcmegapack')  	=> '4',
				  					__('5','vcmegapack') 	=> '5',
									__('6','vcmegapack')  	=> '6',
				  					__('7','vcmegapack') 	=> '7',
									__('8','vcmegapack')  	=> '8',																											
				   ),				   				   			   
				),										

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Link", 'vcmegapack'),
                  "param_name" => "vcmp_gallery_link",
                  "value" => array(
				  					__('Image','vcmegapack') 	=> 'image',
									__('Custom Url','vcmegapack')  => 'custom_url',															
				   ),			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Target Link", 'vcmegapack'),
                  "param_name" => "vcmp_gallery_target_link",
                  "value" => array(
				  					__('Same Window','vcmegapack')  => '_self',	
				  					__('New Window','vcmegapack') 	=> '_blank'
																							
				   ),
				  "dependency" => array(
							'element' => 'vcmp_gallery_link',
							'value' => array( 'custom_url' )
					),				   			   
				),

                array(
                  "type" => "attach_images",
                  "class" => "",
                  "heading" => __("Upload Your Images", 'vcmegapack'),
                  "param_name" => "vcmp_gallery_images"
                ),
								 					  
           		/* STYLE */
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Font Type", 'vcmegapack'),
                  "param_name" => "vcmp_gallery_font_type",
                  "value" => array(
				  					__('Default Site','vcmegapack') 			=> 'vcmp-font-default',
									__('Google Fonts Custom','vcmegapack')  	=> 'vcmp-google-font'
				   ),
				   "group" => "Style"				   			   
				),				
				array(
					'type' => 'google_fonts',
					'param_name' => 'vcmp_gallery_google_fonts',
					'value' => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
					'settings' => array(
						'fields' => array(
							'font_family_description' => __( 'Select font family.', 'vcmegapack' ),
							'font_style_description' => __( 'Select font styling.', 'vcmegapack' )
						)
					),
					'dependency' => array(
							'element' => 'vcmp_gallery_font_type',
							'value' => array( 'vcmp-google-font' )
					),					
					"group" => "Style"
				),
			    array(
				  "type" 		=> "textfield", 
				  "class" 		=> "",
				  "heading" 	=> __("Title font Size (px)",'vcmegapack'),
				  "param_name" 	=> "vcmp_gallery_title_fs",
				  "description" => "ex 15px",				  
				  "group" 		=> "Style",			  				  			  				  
			    ),						
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Background Color", 'vcmegapack'),
					  "param_name" => "vcmp_gallery_background_color",
					  "value" => 'rgba(255,255,255,1)',				  
					  "group" => "Style"					  					  				  
				  ),			  
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Secondary Color", 'vcmegapack'),
					  "param_name" => "vcmp_gallery_secondary_color",
					  "value" => 'rgba(0,0,0,0.3)',				  
					  "group" => "Style"					  					  				  
				  ),				  				
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Font Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_gallery_font_color",
					  "value" 		 	=> 'rgba(56,56,56,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Link Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_gallery_a_color",
					  "value" 		 	=> 'rgba(56,56,56,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Over Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_gallery_over_color",
					  "value" 		 	=> 'rgba(138,138,138,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
							  				  				  
				/* ANIMATION */  												  							  		  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(									
									__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			  
			  			  
			)
		)		  			  			  			  			  			  
	  );	  
    }	
	
    public function vcmegapack_gallery_loadCssAndJs() {	
		wp_register_style( 'vcmp-gallery',  AD_VCMP_URL . 'assets/css/gallery.css' );
		wp_register_style( 'vcmp-magnific-popup',  AD_VCMP_URL . 'assets/css/magnific-popup.css' );
		wp_register_script( 'vcmp-magnific-popup-js',  AD_VCMP_URL . 'assets/js/jquery.magnific-popup.js' , array('jquery'), '', true);
    }	
}
// Finally initialize code
new vcmegapack_gallery_class();