<?php
/* CLASS: Grid */

class vcmegapack_grid_class {
    function __construct() {
        add_action( 'init', array( $this, 'integrate_vcmegapack_gridWithVC' ) );
        add_shortcode( 'vcmp_grid', array( $this, 'vcmegapack_grid_function' ) );
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_grid_loadCssAndJs' ) );
    }
 
    public function integrate_vcmegapack_gridWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('icons-list.php');
		include('animate-list.php');
		
		vc_map( array(
            "name" => __("Grid", 'vcmegapack'),
            "description" => __("Add your grid", 'vcmegapack'),
            "base" => "vcmp_grid",
            "class" => "adtheme",
            "controls" => "full",
            "icon" => plugins_url('vcmegapack/assets/img/grid.png'),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(	
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Grid Type", 'vcmegapack'),
                  "param_name" => "vcmp_grid_type",
                  "value" => array(
				  					__('Style 1','vcmegapack') 	=> 'vcmp-grid-style1',
									__('Style 2','vcmegapack')  => 'vcmp-grid-style2'															
				   ),			   
				),		

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Columns", 'vcmegapack'),
                  "param_name" => "vcmp_grid_columns",
                  "value" => array(
				  					__('1','vcmegapack') 	=> '1',
									__('2','vcmegapack')  	=> '2',
				  					__('3','vcmegapack') 	=> '3',
									__('4','vcmegapack')  	=> '4',
				  					__('5','vcmegapack') 	=> '5',
									__('6','vcmegapack')  	=> '6',
				  					__('7','vcmegapack') 	=> '7',
									__('8','vcmegapack')  	=> '8',																											
				   ),				   				   			   
				),
					
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Filter", 'vcmegapack'),
                  "param_name" => "vcmp_grid_filter",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'true',
									__('Hidden','vcmegapack')  		=> 'false',
				   ),				   			   
				),	
				
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Title", 'vcmegapack'),
                  "param_name" => "vcmp_grid_title",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'true',
									__('Hidden','vcmegapack')  		=> 'false',
				   ),				   			   
				),										

				// QUERY 
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Source", 'vcmegapack'),
                  "param_name" => "vcmp_query_source",
                  "value" => array(
				  					__('Wordpress Posts','vcmegapack') 		=> 'wp_posts',
									__('Custom Posts Type','vcmegapack')  	=> 'wp_custom_posts_type',
				   ),
				   "group" => "Query"				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("All Posts/Sticky posts", 'vcmegapack'),
                  "param_name" => "vcmp_query_sticky_posts",
                  "value" => array(
				  					__('All Posts','vcmegapack') 		 	=> 'allposts',
									__('Only Sticky Posts','vcmegapack')  	=> 'onlystickyposts',
				   ),
				   "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_source',
							'value' => array( 'wp_posts' )
				  ),					   				   			   
				),

			    array(
				  "type" => "posttypes", 
				  "class" => "",
				  "heading" => __("Select Post Type Source",'vcmegapack'),
				  "param_name" => "vcmp_query_posts_type",
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_source',
							'value' => array( 'wp_custom_posts_type' )
				  ),					  				  					  				  			  				  
			    ),

			    array(
				  "type" => "textfield", 
				  "class" => "",
				  "heading" => __("Categories",'vcmegapack'),
				  "param_name" => "vcmp_query_categories",
				  "description" => "Write Categories slug separate by comma(,) for example: cat-slug1, cat-slug2, cat-slug3 (Leave empty for all categories)",
				  "group" => "Query",					  				  					  				  			  				  
			    ),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Order", 'vcmegapack'),
                  "param_name" => "vcmp_query_order",
                  "value" => array(
				  					__('DESC','vcmegapack')  	=> 'DESC',
				  					__('ASC','vcmegapack') 		=> 'ASC'
									
				   ),
				   "group" => "Query"				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Order By", 'vcmegapack'),
                  "param_name" => "vcmp_query_orderby",
                  "value" => array(
				  					__('Date','vcmegapack') 			=> 'date',
									__('ID','vcmegapack')  				=> 'ID',
				  					__('Author','vcmegapack') 			=> 'author',
									__('Title','vcmegapack')  			=> 'title',
				  					__('Name','vcmegapack') 			=> 'name',
									__('Modified','vcmegapack')  		=> 'modified',
				  					__('Parent','vcmegapack') 			=> 'parent',
									__('Rand','vcmegapack')  			=> 'rand',
									__('Comments Count','vcmegapack')  	=> 'comment_count',
									__('None','vcmegapack')  			=> 'none',																																													
				   ),
				   "group" => "Query"				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Pagination", 'vcmegapack'),
                  "param_name" => "vcmp_query_pagination",
                  "value" => array(
				  					__('Yes','vcmegapack') 		=> 'yes',
									__('No','vcmegapack')  		=> 'no',
				   ),
				   "group" => "Query"				   			   
				),

			    array(
				  "type" => "textfield", 
				  "class" => "",
				  "heading" => __("Number Posts",'vcmegapack'),
				  "param_name" => "vcmp_query_number",
				  "description" => "ex 10",
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_pagination',
							'value' => array( 'no' )
				  ),					  				  					  				  			  				  
			    ),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Pagination Type", 'vcmegapack'),
                  "param_name" => "vcmp_query_pagination_type",
                  "value" => array(
				  					__('Numeric','vcmegapack') 		=> 'numeric',
									__('Normal','vcmegapack')  		=> 'normal',
				  ),
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_pagination',
							'value' => array( 'yes' )
				  ),				   				   			   
				),

			    array(
				  "type" => "textfield", 
				  "class" => "",
				  "heading" => __("Number Posts For Page",'vcmegapack'),
				  "param_name" => "vcmp_query_posts_for_page",
				  "description" => "ex 10",
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_pagination',
							'value' => array( 'yes' )
				  ),					  				  					  				  			  				  
			    ),
								 					  
           		/* STYLE */
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Font Type", 'vcmegapack'),
                  "param_name" => "vcmp_grid_font_type",
                  "value" => array(
				  					__('Default Site','vcmegapack') 			=> 'vcmp-font-default',
									__('Google Fonts Custom','vcmegapack')  	=> 'vcmp-google-font'
				   ),
				   "group" => "Style"				   			   
				),				
				array(
					'type' => 'google_fonts',
					'param_name' => 'vcmp_grid_google_fonts',
					'value' => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
					'settings' => array(
						'fields' => array(
							'font_family_description' => __( 'Select font family.', 'vcmegapack' ),
							'font_style_description' => __( 'Select font styling.', 'vcmegapack' )
						)
					),
					'dependency' => array(
							'element' => 'vcmp_grid_font_type',
							'value' => array( 'vcmp-google-font' )
					),					
					"group" => "Style"
				),
			    array(
				  "type" 		=> "textfield", 
				  "class" 		=> "",
				  "heading" 	=> __("Title font Size (px)",'vcmegapack'),
				  "param_name" 	=> "vcmp_grid_title_fs",
				  "description" => "ex 15px",				  
				  "group" 		=> "Style",			  				  			  				  
			    ),					
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Background Color", 'vcmegapack'),
					  "param_name" => "vcmp_grid_background_color",
					  "value" => 'rgba(255,255,255,1)',				  
					  "group" => "Style"					  					  				  
				  ),			  
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Secondary Color", 'vcmegapack'),
					  "param_name" => "vcmp_grid_secondary_color",
					  "value" => 'rgba(0,0,0,0.3)',				  
					  "group" => "Style"					  					  				  
				  ),				  				
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Font Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_grid_font_color",
					  "value" 		 	=> 'rgba(56,56,56,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Link Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_grid_a_color",
					  "value" 		 	=> 'rgba(56,56,56,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Over Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_grid_over_color",
					  "value" 		 	=> 'rgba(138,138,138,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
							  				  				  
				/* ANIMATION */  												  							  		  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(									
									__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			  
			  			  
			)
		)		  			  			  			  			  			  
	  );	  
    }	
	
    public function vcmegapack_grid_loadCssAndJs() {	
		wp_register_style( 'vcmp-grid',  AD_VCMP_URL . 'assets/css/grid.css' );
		wp_register_style( 'vcmp-magnific-popup',  AD_VCMP_URL . 'assets/css/magnific-popup.css' );
		wp_register_script( 'vcmp-magnific-popup-js',  AD_VCMP_URL . 'assets/js/jquery.magnific-popup.js' , array('jquery'), '', true);
		wp_register_script( 'vcmp-filter-js',  AD_VCMP_URL . 'assets/js/jquery.mixitup.js' , array('jquery'), '', true);
    }	
}
// Finally initialize code
new vcmegapack_grid_class();