<?php
/* CLASS: icon */

class vcmegapack_icon_class {
    function __construct() {
        // We safely integrate with VC with this hook
        add_action( 'init', array( $this, 'integrate_vcmegapack_iconWithVC' ) );
 
        // Use this when creating a shortcode addon
        add_shortcode( 'vcmp_icon', array( $this, 'vcmegapack_icon_function' ) );

        // Register CSS and JS
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_icon_loadCssAndJs' ) );

    }
 
    public function integrate_vcmegapack_iconWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('icons-list.php');
		include('animate-list.php');
        
		vc_map( array(
            "name" => __("Icon", 'vcmegapack'),
            "description" => __("Add your icon", 'vcmegapack'),
            "base" => "vcmp_icon",
            "class" => "adtheme",
            "controls" => "full",
            "icon" => plugins_url('vcmegapack/assets/img/icon.png'),
			"admin_enqueue_css" => array(plugins_url('vcmegapack/assets/css/general/fonts.css')),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(             
			   array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Icon", 'vcmegapack'),
                  "param_name" => "vcmp_icon",
				  "admin_label" => true,
                  "value" => $adtheme_icons_list,
               ),			   				  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Float", 'vcmegapack'),
                  "param_name" => "vcmp_icon_float",
                  "value" => array(
									__('Left','vcmegapack')  	=> 'left',
									__('Right','vcmegapack') 	=> 'right',
									__('None','vcmegapack') 	=> 'none'
				   )
				),
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Align", 'vcmegapack'),
                  "param_name" => "vcmp_icon_align",
                  "value" => array(
				  					__('Center','vcmegapack') 	=> 'vcmp-icon-align-center',
									__('Left','vcmegapack')  	=> 'vcmp-icon-align-left',
									__('Right','vcmegapack') 	=> 'vcmp-icon-align-right'
									
				   ),
				  "dependency" => array(
							'element' => 'vcmp_icon_float',
							'value' => array( 'none' )
				  ),				   
				),				
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Link", 'vcmegapack'),
                  "param_name" => "vcmp_link",
                  "value" => array(
									__('off','vcmegapack') => 'off',
									__('On','vcmegapack') 	  => 'on'
				   )
				),	
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Link Url",'vcmegapack'),
				  "param_name" => "vcmp_link_url",
				  "description" => "Add link url ex: http://www.ad-theme.com",					  
				  'dependency' => array(
						'element' => 'vcmp_link',
						'value' => array( 'on' )
				  ),					  
			  ),
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Link Url Target", 'vcmegapack'),
                  "param_name" => "vcmp_target",
                  "value" => array(
									__('Self (Same windows)','vcmegapack') => '_self',
									__('New Windows','vcmegapack') 	  => '_blank'
				   ),
				  'dependency' => array(
						'element' => 'vcmp_link',
						'value' => array( 'on' )
				  ),					   
				),	
			  // STYLE 	
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Icon Size (px)",'vcmegapack'),
				  "param_name" => "vcmp_size",
				  "description" => "ex 15",
				  "group" => "Style"				  
			  ),			                
			  array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => __("Icon Color", 'vcmegapack'),
                  "param_name" => "vcmp_icon_color",
                  "value" => '#FC615D',
				  "group" => "Style"
              ),
              array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => __("Icon Hover Color", 'vcmegapack'),
                  "param_name" => "vcmp_icon_over_color",
                  "value" => '#FC615D',
				  "group" => "Style"
              ),					  		  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Margin",'vcmegapack'),
				  "param_name" => "vcmp_margin",
				  "description" => "ex 2px or 2px 2px 2px 2px",
				  "group" => "Style"				  
			  ),
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Padding",'vcmegapack'),
				  "param_name" => "vcmp_padding",
				  "description" => "ex 2px or 2px 2px 2px 2px",
				  "group" => "Style"				  
			  ),
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Background", 'vcmegapack'),
                  "param_name" => "vcmp_background_active",
                  "value" => array(
				  					__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
									
				   ),
				   "group" => "Style"
				),
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Background Color", 'vcmegapack'),
					  "param_name" => "vcmp_background_color",
					  "value" => '#FC615D',
					  "group" => "Style",
					  "dependency" => array(
							'element' => 'vcmp_background_active',
							'value' => array( 'on' )
					  ),					  
				),
				array(
					  "type" => "dropdown",
					  "class" => "",
					  "heading" => __("Background Type", 'vcmegapack'),
					  "param_name" => "vcmp_background_type",
					  "value" => array(
										__('Square','vcmegapack') 	=> 'square',
										__('Round','vcmegapack') 	=> 'round'
										
					   ),
					  "dependency" => array(
							'element' => 'vcmp_background_active',
							'value' => array( 'on' )
					  ),
					  "group" => "Style",					  
				),				
				array(
					  "type" => "dropdown",
					  "class" => "",
					  "heading" => __("Border", 'vcmegapack'),
					  "param_name" => "vcmp_border_active",
					  "value" => array(
										__('Off','vcmegapack') 	  => 'off',
										__('On','vcmegapack') => 'on'
										
					   ),
					  "group" => "Style",					  
				),
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Border Color", 'vcmegapack'),
					  "param_name" => "vcmp_border_color",
					  "value" => '#FC615D',
					  "group" => "Style",
					  "dependency" => array(
							'element' => 'vcmp_border_active',
							'value' => array( 'on' )
					  ),					  
				),
			  array(
				 	 "type" => "textfield",
				  	 "class" => "",
				  	 "heading" => __("Border With",'vcmegapack'),
				  	 "param_name" => "vcmp_border_width",
				  	 "description" => "ex 2px",
				  	 "group" => "Style",
					 "dependency" => array(
							'element' => 'vcmp_border_active',
							'value' => array( 'on' )
					 ),				  
			  ),				  
				array(
					  "type" => "dropdown",
					  "class" => "",
					  "heading" => __("Border Style", 'vcmegapack'),
					  "param_name" => "vcmp_border_style",
					  "value" => array(
				  					__('Solid','vcmegapack')  		=> 'solid',
				  					__('Dotted','vcmegapack') 		=> 'dotted',
									__('Dashed','vcmegapack') 		=> 'dashed',
									__('Double','vcmegapack') 		=> 'double',
									__('Inset','vcmegapack') 		=> 'inset',
									__('Outset','vcmegapack') 		=> 'outset'
										
					   ),
					  "dependency" => array(
							'element' => 'vcmp_border_active',
							'value' => array( 'on' )
					  ),
					  "group" => "Style",					  
				),
				array(
					  "type" => "dropdown",
					  "class" => "",
					  "heading" => __("Background Type", 'vcmegapack'),
					  "param_name" => "vcmp_background_border_type",
					  "value" => array(
										__('Square','vcmegapack') 	=> 'square',
										__('Round','vcmegapack') 	=> 'round'
										
					   ),
					  "dependency" => array(
							'element' => 'vcmp_border_active',
							'value' => array( 'on' )
					  ),
					  "group" => "Style",					  
				),							  																					  
			  // ANIMATION											  							  		  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(
				  					__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
									
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			  
			  			  
			)
		)		  			  			  			  			  			  
	  );
    }	
	
    public function vcmegapack_icon_loadCssAndJs() {
		wp_register_style( 'vcmp-icon',  AD_VCMP_URL . 'assets/css/icon.css' );					
    }	
}
// Finally initialize code
new vcmegapack_icon_class();