<?php
/* CLASS: list */

class vcmegapack_list_class {
    function __construct() {
        // We safely integrate with VC with this hook
        add_action( 'init', array( $this, 'integrate_vcmegapack_listWithVC' ) );
 
        // Use this when creating a shortcode addon
        add_shortcode( 'vcmp_list', array( $this, 'vcmegapack_list_function' ) );

        // Register CSS and JS
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_list_loadCssAndJs' ) );

    }
 
    public function integrate_vcmegapack_listWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('icons-list.php');
		include('animate-list.php');
        
		vc_map( array(
            "name" => __("List", 'vcmegapack'),
            "description" => __("Add your list", 'vcmegapack'),
            "base" => "vcmp_list",
            "class" => "adtheme",
            "controls" => "full",
            "icon" => plugins_url('vcmegapack/assets/img/list.png'),
			"admin_enqueue_css" => array(plugins_url('vcmegapack/assets/css/general/fonts.css')),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(             
			   array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Icon", 'vcmegapack'),
                  "param_name" => "vcmp_list",
				  "admin_label" => true,
                  "value" => $adtheme_icons_list,
               ),			   				  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Float", 'vcmegapack'),
                  "param_name" => "vcmp_list_float",
                  "value" => array(
									__('Left','vcmegapack')  	=> 'left',
									__('Right','vcmegapack') 	=> 'right',
									__('None','vcmegapack') 	=> 'none'
				   )
				),
               array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Link", 'vcmegapack'),
                  "param_name" => "vcmp_list_link",
                  "value" => array(
									__('off','vcmegapack') => 'off',
									__('On','vcmegapack') 	  => 'on'
				   )
				),	
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Link Url",'vcmegapack'),
				  "param_name" => "vcmp_list_link_url",
				  "description" => "Add link url ex: http://www.ad-theme.com",					  
				  'dependency' => array(
						'element' => 'vcmp_list_link',
						'value' => array( 'on' )
				  ),					  
			  ),
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Link Url Target", 'vcmegapack'),
                  "param_name" => "vcmp_list_link_target",
                  "value" => array(
									__('Self (Same windows)','vcmegapack') => '_self',
									__('New Windows','vcmegapack') 	  => '_blank'
				   ),
				  'dependency' => array(
						'element' => 'vcmp_list_link',
						'value' => array( 'on' )
				  ),					   
				),
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Title Text",'vcmegapack'),
				  "param_name" => "vcmp_list_title_text",				  
			  ),					
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Content Text",'vcmegapack'),
				  "param_name" => "vcmp_list_content_text",				  
			  ),

				
			  // STYLE	
              array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Font Type", 'vcmegapack'),
                  "param_name" => "vcmp_list_font_type",
                  "value" => array(
				  					__('Default Site','vcmegapack') 			=> 'vcmp-font-default',
									__('Google Fonts Custom','vcmegapack')  	=> 'vcmp-google-font'
				   ),
				   "group" => "Style"				   			   
			  ),				
			  array(
					'type' => 'google_fonts',
					'param_name' => 'vcmp_list_google_fonts',
					'value' => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
					'settings' => array(
						'fields' => array(
							'font_family_description' => __( 'Select font family.', 'vcmegapack' ),
							'font_style_description' => __( 'Select font styling.', 'vcmegapack' )
						)
					),
					'dependency' => array(
							'element' => 'vcmp_list_font_type',
							'value' => array( 'vcmp-google-font' )
					),					
					"group" => "Style"
			  ), 
              array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Text Align", 'vcmegapack'),
                  "param_name" => "vcmp_list_font_align",
                  "value" => array(
				  					__('Left','vcmegapack') 	=> 'left',
									__('Right','vcmegapack')  	=> 'right',
									__('Center','vcmegapack')  	=> 'center',
				   ),
				   "group" => "Style"				   			   
			  ),			  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Title Size (px)",'vcmegapack'),
				  "param_name" => "vcmp_list_title_size",
				  "description" => "ex 15",
				  "group" => "Style"				  
			  ),			               
			  array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => __("Title Color", 'vcmegapack'),
                  "param_name" => "vcmp_list_title_color",
                  "value" => '#FC615D',
				  "group" => "Style"
              ),
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Content Size (px)",'vcmegapack'),
				  "param_name" => "vcmp_list_content_size",
				  "description" => "ex 15",
				  "group" => "Style"				  
			  ),			               
			  array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => __("Content Color", 'vcmegapack'),
                  "param_name" => "vcmp_list_content_color",
                  "value" => '#FC615D',
				  "group" => "Style"
              ),			  			  										  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Icon Size (px)",'vcmegapack'),
				  "param_name" => "vcmp_list_icon_size",
				  "description" => "ex 15",
				  "group" => "Style"				  
			  ),			  
              array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => __("Icon Color", 'vcmegapack'),
                  "param_name" => "vcmp_list_icon_color",
                  "value" => '#FC615D',
				  "group" => "Style"
              ),
              array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => __("Icon Hover Color", 'vcmegapack'),
                  "param_name" => "vcmp_list_icon_over_color",
                  "value" => '#FC615D',
				  "group" => "Style"
              ),  						  		  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Icon Margin",'vcmegapack'),
				  "param_name" => "vcmp_list_icon_margin",
				  "description" => "ex 2px or 2px 2px 2px 2px",
				  "group" => "Style"				  
			  ),
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Icon Padding",'vcmegapack'),
				  "param_name" => "vcmp_list_icon_padding",
				  "description" => "ex 2px or 2px 2px 2px 2px",
				  "group" => "Style"				  
			  ),
 				
				// ANIMATION  							  		  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(
				  					__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
									
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			  
			  			  
			)
		)		  			  			  			  			  			  
	  );
    }	
	
    public function vcmegapack_list_loadCssAndJs() {
					
    }	
}
// Finally initialize code
new vcmegapack_list_class();