<?php
/* CLASS: Portfolio */

class vcmegapack_portfolio_class {
    function __construct() {
        add_action( 'init', array( $this, 'integrate_vcmegapack_portfolioWithVC' ) );
        add_shortcode( 'vcmp_portfolio', array( $this, 'vcmegapack_portfolio_function' ) );
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_portfolio_loadCssAndJs' ) );
    }
 
    public function integrate_vcmegapack_portfolioWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('icons-list.php');
		include('animate-list.php');
		
		vc_map( array(
            "name" => __("Portfolio", 'vcmegapack'),
            "description" => __("Add your portfolio", 'vcmegapack'),
            "base" => "vcmp_portfolio",
            "class" => "adtheme",
            "controls" => "full",
            "icon" => plugins_url('vcmegapack/assets/img/portfolio.png'),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(	
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Portfolio Type", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_type",
                  "value" => array(
				  					__('Style 1','vcmegapack') 	=> 'vcmp-portfolio-style1',
									__('Style 2','vcmegapack')  => 'vcmp-portfolio-style2',															
				   ),			   
				),		

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Columns", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_columns",
                  "value" => array(
				  					__('1','vcmegapack') 	=> '1',
									__('2','vcmegapack')  	=> '2',
				  					__('3','vcmegapack') 	=> '3',
									__('4','vcmegapack')  	=> '4',
				  					__('5','vcmegapack') 	=> '5',
									__('6','vcmegapack')  	=> '6',
				  					__('7','vcmegapack') 	=> '7',
									__('8','vcmegapack')  	=> '8',																											
				   ),				   				   			   
				),
					
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Excerpt", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_excerpt",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'true',
									__('Hidden','vcmegapack')  		=> 'false',
				   ),				   			   
				),

			    array(
				  "type" => "textfield", 
				  "class" => "",
				  "heading" => __("Number Experpt",'vcmegapack'),
				  "param_name" => "vcmp_portfolio_excerpt_number",
				  "description" => "ex 50. Leave empty for default value",				  
				  "dependency" => array(
							'element' => 'vcmp_portfolio_excerpt',
							'value' => array( 'true' )
				  ),					  				  			  				  
			    ),	

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Filter", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_filter",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'true',
									__('Hidden','vcmegapack')  		=> 'false',
				   ),				   			   
				),									
				
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Date", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_date",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'true',
									__('Hidden','vcmegapack')  		=> 'false',
				   ),				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Date Format", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_date_format",
                  "value" => array(
				  					__('November 6, 2010 12:50 am','vcmegapack') 		=> 'F j, Y g:i a',
									__('November 6, 2010','vcmegapack')  				=> 'F j, Y',
				  					__('November, 2010','vcmegapack') 					=> 'F, Y',
									__('12:50 am','vcmegapack')  						=> 'g:i a',
				  					__('12:50:48 am','vcmegapack') 						=> 'g:i:s a',
									__('Saturday, November 6th, 2010','vcmegapack')  	=> 'l, F jS, Y',
				  					__('Nov 6, 2010 @ 0:50','vcmegapack') 				=> 'M j, Y @ G:i',
									__('2010/11/06 at 12:50 AM','vcmegapack')  			=> 'Y/m/d \a\t g:i A',
				  					__('2010/11/06 at 12:50am','vcmegapack') 			=> 'Y/m/d \a\t g:ia',
									__('2010/11/06 12:50:48 AM','vcmegapack')  			=> 'Y/m/d g:i:s A',
									__('2010/11/06','vcmegapack')  						=> 'Y/m/d',																																														
				   ),
				  "dependency" => array(
							'element' => 'vcmp_portfolio_date',
							'value' => array( 'true' )
					),					   				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Comments", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_comments",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'true',
									__('Hidden','vcmegapack')  		=> 'false',
				   ),				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Author", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_author",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'true',
									__('Hidden','vcmegapack')  		=> 'false',
				   ),				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Category", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_category",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'true',
									__('Hidden','vcmegapack')  		=> 'false',
				   ),				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Views", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_views",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'true',
									__('Hidden','vcmegapack')  		=> 'false',
				   ),				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Social", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_social",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'true',
									__('Hidden','vcmegapack')  		=> 'false',
				   ),				   			   
				),

				// QUERY 
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Source", 'vcmegapack'),
                  "param_name" => "vcmp_query_source",
                  "value" => array(
				  					__('Wordpress Posts','vcmegapack') 		=> 'wp_posts',
									__('Custom Posts Type','vcmegapack')  	=> 'wp_custom_posts_type',
				   ),
				   "group" => "Query"				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("All Posts/Sticky posts", 'vcmegapack'),
                  "param_name" => "vcmp_query_sticky_posts",
                  "value" => array(
				  					__('All Posts','vcmegapack') 		 	=> 'allposts',
									__('Only Sticky Posts','vcmegapack')  	=> 'onlystickyposts',
				   ),
				   "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_source',
							'value' => array( 'wp_posts' )
				  ),					   				   			   
				),

			    array(
				  "type" => "posttypes", 
				  "class" => "",
				  "heading" => __("Select Post Type Source",'vcmegapack'),
				  "param_name" => "vcmp_query_posts_type",
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_source',
							'value' => array( 'wp_custom_posts_type' )
				  ),					  				  					  				  			  				  
			    ),

			    array(
				  "type" => "textfield", 
				  "class" => "",
				  "heading" => __("Categories",'vcmegapack'),
				  "param_name" => "vcmp_query_categories",
				  "description" => "Write Categories slug separate by comma(,) for example: cat-slug1, cat-slug2, cat-slug3 (Leave empty for all categories)",
				  "group" => "Query",					  				  					  				  			  				  
			    ),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Order", 'vcmegapack'),
                  "param_name" => "vcmp_query_order",
                  "value" => array(
				  					__('DESC','vcmegapack')  	=> 'DESC',
				  					__('ASC','vcmegapack') 		=> 'ASC'
									
				   ),
				   "group" => "Query"				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Order By", 'vcmegapack'),
                  "param_name" => "vcmp_query_orderby",
                  "value" => array(
				  					__('Date','vcmegapack') 			=> 'date',
									__('ID','vcmegapack')  				=> 'ID',
				  					__('Author','vcmegapack') 			=> 'author',
									__('Title','vcmegapack')  			=> 'title',
				  					__('Name','vcmegapack') 			=> 'name',
									__('Modified','vcmegapack')  		=> 'modified',
				  					__('Parent','vcmegapack') 			=> 'parent',
									__('Rand','vcmegapack')  			=> 'rand',
									__('Comments Count','vcmegapack')  	=> 'comment_count',
									__('None','vcmegapack')  			=> 'none',																																													
				   ),
				   "group" => "Query"				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Pagination", 'vcmegapack'),
                  "param_name" => "vcmp_query_pagination",
                  "value" => array(
				  					__('Yes','vcmegapack') 		=> 'yes',
									__('No','vcmegapack')  		=> 'no',
				   ),
				   "group" => "Query"				   			   
				),

			    array(
				  "type" => "textfield", 
				  "class" => "",
				  "heading" => __("Number Posts",'vcmegapack'),
				  "param_name" => "vcmp_query_number",
				  "description" => "ex 10",
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_pagination',
							'value' => array( 'no' )
				  ),					  				  					  				  			  				  
			    ),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Pagination Type", 'vcmegapack'),
                  "param_name" => "vcmp_query_pagination_type",
                  "value" => array(
				  					__('Numeric','vcmegapack') 		=> 'numeric',
									__('Normal','vcmegapack')  		=> 'normal',
				  ),
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_pagination',
							'value' => array( 'yes' )
				  ),				   				   			   
				),

			    array(
				  "type" => "textfield", 
				  "class" => "",
				  "heading" => __("Number Posts For Page",'vcmegapack'),
				  "param_name" => "vcmp_query_posts_for_page",
				  "description" => "ex 10",
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_pagination',
							'value' => array( 'yes' )
				  ),					  				  					  				  			  				  
			    ),
								 					  
           		/* STYLE */
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Font Type", 'vcmegapack'),
                  "param_name" => "vcmp_portfolio_font_type",
                  "value" => array(
				  					__('Default Site','vcmegapack') 			=> 'vcmp-font-default',
									__('Google Fonts Custom','vcmegapack')  	=> 'vcmp-google-font'
				   ),
				   "group" => "Style"				   			   
				),				
				array(
					'type' => 'google_fonts',
					'param_name' => 'vcmp_portfolio_google_fonts',
					'value' => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
					'settings' => array(
						'fields' => array(
							'font_family_description' => __( 'Select font family.', 'vcmegapack' ),
							'font_style_description' => __( 'Select font styling.', 'vcmegapack' )
						)
					),
					'dependency' => array(
							'element' => 'vcmp_portfolio_font_type',
							'value' => array( 'vcmp-google-font' )
					),					
					"group" => "Style"
				),
				
				/* EXCERPT */
			    array(
				  "type" 		=> "textfield", 
				  "class" 		=> "",
				  "heading" 	=> __("Title font Size (px)",'vcmegapack'),
				  "param_name" 	=> "vcmp_portfolio_title_fs",
				  "description" => "ex 15px",				  
				  "group" 		=> "Style",			  				  			  				  
			    ),	
			    array(
				  "type" 		=> "textfield", 
				  "class" 		=> "",
				  "heading" 	=> __("Content font Size (px)",'vcmegapack'),
				  "param_name" 	=> "vcmp_portfolio_content_fs",
				  "description" => "ex 15px",				  
				  "group" 		=> "Style",
				  "dependency" 	=> array(
							'element' => 'vcmp_portfolio_excerpt',
							'value' => array( 'true' )
				  ),				  				  			  				  
			    ),					
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Background Color", 'vcmegapack'),
					  "param_name" => "vcmp_portfolio_background_color",
					  "value" => 'rgba(255,255,255,1)',				  
					  "group" => "Style"					  					  				  
				  ),			  
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Secondary Color", 'vcmegapack'),
					  "param_name" => "vcmp_portfolio_secondary_color",
					  "value" => 'rgba(0,0,0,0.3)',				  
					  "group" => "Style"					  					  				  
				  ),				  				
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Font Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_portfolio_font_color",
					  "value" 		 	=> 'rgba(56,56,56,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Link Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_portfolio_a_color",
					  "value" 		 	=> 'rgba(56,56,56,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Over Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_portfolio_over_color",
					  "value" 		 	=> 'rgba(138,138,138,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
							  				  				  
				/* ANIMATION */  												  							  		  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(									
									__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			  
			  			  
			)
		)		  			  			  			  			  			  
	  );	  
    }	
	
    public function vcmegapack_portfolio_loadCssAndJs() {	
		wp_register_style( 'vcmp-portfolio',  AD_VCMP_URL . 'assets/css/portfolio.css' );
		wp_register_script( 'vcmp-filter-js',  AD_VCMP_URL . 'assets/js/jquery.mixitup.js' , array('jquery'), '', true);
    }	
}
// Finally initialize code
new vcmegapack_portfolio_class();