<?php
/* CLASS: singleimage */

class vcmegapack_singleimage_class {
    function __construct() {
        // We safely integrate with VC with this hook
        add_action( 'init', array( $this, 'integrate_vcmegapack_singleimageWithVC' ) );
 
        // Use this when creating a shortcode addon
        add_shortcode( 'vcmp_singleimage', array( $this, 'vcmegapack_singleimage_function' ) );

        // Register CSS and JS
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_singleimage_loadCssAndJs' ) );

    }
 
    public function integrate_vcmegapack_singleimageWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('animate-list.php');
		
        vc_map( array(
            "name" => __("Single Image", 'vcmegapack'),
            "description" => __("Add Image with effect", 'vcmegapack'),
            "base" => "vcmp_singleimage",
            "class" => "",
            "icon" => plugins_url('vcmegapack/assets/img/singleimage.png'),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(
			  array(
				  "type" => "attach_image",
				  "class" => "",
				  "heading" => __("Image Custom Marker",'vcmegapack'),
				  "param_name" => "vcmp_singleimage_image",				  
			  ), 
			               
			  array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Size", 'vcmegapack'),
                  "param_name" => "vcmp_singleimage_size",
                  "value" => array(
									__('Thumbnail','vcmegapack')  => 'thumbnail',
									__('Medium','vcmegapack') 	  => 'large',
									__('Large','vcmegapack')  	  => 'large',
									__('Full','vcmegapack') 	  => 'full',									
				   ),
			  ),
			  
			  array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Align", 'vcmegapack'),
                  "param_name" => "vcmp_singleimage_align",
                  "value" => array(
									__('Center','vcmegapack')  	  => 'center',
									__('Left','vcmegapack') 	  => 'left',
									__('Right','vcmegapack')  	  => 'right',									
				   ),
			  ),			  
			  				
              array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Link", 'vcmegapack'),
                  "param_name" => "vcmp_singleimage_link",
                  "value" => array(
									__('On','vcmegapack') => 'on',
									__('Off','vcmegapack') 	  => 'off'
				   ),
			  ),
			  				
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Url",'vcmegapack'),
				  "param_name" => "vcmp_singleimage_url",
				  "description" => "ex http://www.ad-theme.com",					  
				  'dependency' => array(
						'element' => 'vcmp_singleimage_link',
						'value' => array( 'on' )
				  ),					  
			  ),
			  				
              array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Target", 'vcmegapack'),
                  "param_name" => "vcmp_singleimage_target",
                  "value" => array(
									__('Blank (New Window)','vcmegapack') => '_blank',
									__('Self (Same Window)','vcmegapack') => '_self'
				   ),
				  'dependency' => array(
						'element' => 'vcmp_singleimage_link',
						'value' => array( 'on' )
				  ),				   
			  ),				
				
			  // ANIMATION				   			  
              array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(
				  					__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on', 
									
				   ),
				   "group" => "Animation"
			  ),			  
              array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
			  ),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			  		  			  
			)  
		)		  			  			  			  			  			  
	  );
    }	
	
    public function vcmegapack_singleimage_loadCssAndJs() {

		// Main
		wp_register_style( 'vcmp-singleimage',  AD_VCMP_URL . 'assets/css/singleimage.css' );
			
    }	
}
// Finally initialize code
new vcmegapack_singleimage_class();