<?php
/* CLASS: social */

class vcmegapack_social_class {
    function __construct() {
        // We safely integrate with VC with this hook
        add_action( 'init', array( $this, 'integrate_vcmegapack_socialWithVC' ) );
 
        // Use this when creating a shortcode addon
        add_shortcode( 'vcmp_social', array( $this, 'vcmegapack_social_function' ) );

        // Register CSS and JS
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_social_loadCssAndJs' ) );

    }
 
    public function integrate_vcmegapack_socialWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('animate-list.php');
        
		vc_map( array(
            "name" => __("Social", 'vcmegapack'),
            "description" => __("Add your social", 'vcmegapack'),
            "base" => "vcmp_social",
            "class" => "",
            "controls" => "full",
            "icon" => plugins_url('vcmegapack/assets/img/social.png'),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(			  		  						  	  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Social Type", 'vcmegapack'),
                  "param_name" => "vcmp_social_type",
                  "value" => array(
									__('Social Button','vcmegapack')  	=> 'social-button',
									__('Social Share','vcmegapack') 	=> 'social-share',
				  ),
				  "admin_label" => true, 
				),
				
				/* BUTTON */
				
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Facebook Link",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_fb",
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-button' )
				  ),				  				  
				),				
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Twitter Link",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_tw",
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-button' )
				  ),				  				  
				),				
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Linkedin Link",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_in",
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-button' )
				  ),				  				  
				),				
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Google Plus Link",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_gplus",
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-button' )
				  ),				  				  
				),				
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Pinterest Link",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_pi",
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-button' )
				  ),				  				  
				),				
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Youtube Link",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_yt",
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-button' )
				  ),				  				  
				),				
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Flickr Link",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_fl",
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-button' )
				  ),				  				  
				),				
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Tumblr Link",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_tu",
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-button' )
				  ),				  				  
				),				
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Rss Link",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_rss",
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-button' )
				  ),				  				  
				),
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Vimeo Link",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_vi",
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-button' )
				  ),				  				  
				),
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Email Address",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_email",
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-button' )
				  ),				  				  
				),

				/* #BUTTON */

				/* SHARE */
				
				array(
				  "type" => "dropdown",
				  "class" => "",
				  "heading" => __("Facebook Share",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_share_fb",
                  "value" => array(
									__('Show','vcmegapack')  	=> 'yes',
									__('Hidden','vcmegapack') 	=> 'no',
				  ),				  
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-share' )
				  ),				  				  
				),				
				array(
				  "type" => "dropdown",
				  "class" => "",
				  "heading" => __("Twitter Share",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_share_tw",
                  "value" => array(
									__('Show','vcmegapack')  	=> 'yes',
									__('Hidden','vcmegapack') 	=> 'no',
				  ),				  
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-share' )
				  ),				  				  
				),	
				array(
				  "type" => "dropdown",
				  "class" => "",
				  "heading" => __("Google Plus Share",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_share_gplus",
                  "value" => array(
									__('Show','vcmegapack')  	=> 'yes',
									__('Hidden','vcmegapack') 	=> 'no',
				  ),				  
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-share' )
				  ),				  				  
				),						
				array(
				  "type" => "dropdown",
				  "class" => "",
				  "heading" => __("Linkedin Share",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_share_in",
                  "value" => array(
									__('Show','vcmegapack')  	=> 'yes',
									__('Hidden','vcmegapack') 	=> 'no',
				  ),				  
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-share' )
				  ),				  				  
				),							
				array(
				  "type" => "dropdown",
				  "class" => "",
				  "heading" => __("Pinterest Share",'vcmegapack'),
				  "description" => "Leave empty if you want disable it",
				  "param_name" => "vcmp_social_share_pi",
                  "value" => array(
									__('Show','vcmegapack')  	=> 'yes',
									__('Hidden','vcmegapack') 	=> 'no',
				  ),				  
				  "dependency" => array(
							'element' => 'vcmp_social_type',
							'value' => array( 'social-share' )
				  ),				  				  
				),							
				
				
				
				/* #SHARE */


				/* STYLE */
				array(
				  "type" => "dropdown",
				  "class" => "",
				  "heading" => __("Style",'vcmegapack'),
				  "param_name" => "vcmp_social_style",
                  "value" => array(
									__('Style 1','vcmegapack')  	=> 'style1',
									__('Style 2','vcmegapack')  	=> 'style2',																		
				  ),
				  "group" => "Style"				  			  				  
				),	
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Color", 'vcmegapack'),
					  "param_name" => "vcmp_social_color",
					  "value" => '#FC615D',					  
					  "group" => "Style"				  
				),
				array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Over Color", 'vcmegapack'),
					  "param_name" => "vcmp_social_over_color",
					  "value" => '#FC615D',				  
					  "group" => "Style"				  
				),
				array(
				  "type" => "dropdown",
				  "class" => "",
				  "heading" => __("Custom Style",'vcmegapack'),
				  "param_name" => "vcmp_social_style_type",
                  "value" => array(
									__('Default','vcmegapack')  	=> 'default',
									__('Custom','vcmegapack')  	=> 'custom',																		
				  ),
				  "group" => "Style"				  			  				  
				),					
			  	array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Font Size",'vcmegapack'),
				  "param_name" => "vcmp_social_style_font_size",
				  "description" => "ex 50px",
				  "dependency" => array(
							'element' => 'vcmp_social_style_type',
							'value' => array( 'custom' )
				  ),				  
				  "group" => "Style"					  		  
			  	),
			  	array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Margin",'vcmegapack'),
				  "param_name" => "vcmp_social_style_margin",
				  "description" => "ex 50px",
				  "dependency" => array(
							'element' => 'vcmp_social_style_type',
							'value' => array( 'custom' )
				  ),				  
				  "group" => "Style"					  		  
			  	),
								
				/* #STYLE */
				
				/* ANIMATION */
												 				 												  			  			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(
				  					__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
									
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			    

			  /* #ANIMATION */
			  			  
			)
		)		  			  			  			  			  			  
	  );
    }	
	
    public function vcmegapack_social_loadCssAndJs() {
		
		wp_register_style( 'vcmp-social',  AD_VCMP_URL . 'assets/css/social.css' );		
					
    }	
}
// Finally initialize code
new vcmegapack_social_class();