<?php
/* CLASS: Space */

class vcmegapack_space_class {
    function __construct() {
        // We safely integrate with VC with this hook
        add_action( 'init', array( $this, 'integrate_vcmegapack_spaceWithVC' ) );
 
        // Use this when creating a shortcode addon
        add_shortcode( 'vcmp_space', array( $this, 'vcmegapack_space_function' ) );

        // Register CSS and JS
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_space_loadCssAndJs' ) );

    }
 
    public function integrate_vcmegapack_spaceWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
        vc_map( array(
            "name" => __("Space", 'vcmegapack'),
            "description" => __("Add Space", 'vcmegapack'),
            "base" => "vcmp_space",
            "class" => "",
            "icon" => plugins_url('vcmegapack/assets/img/space.png'),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(			  
				array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Height Space",'vcmegapack'),
				  "description" => 'Ex: 100px',
				  "param_name" => "vcmp_height",
				  'admin_label' => true
			  ),			  		  			  
			)  
		)		  			  			  			  			  			  
	  );
    }	
	
    public function vcmegapack_space_loadCssAndJs() {

		// Main
		wp_register_style( 'vcmp-space',  AD_VCMP_URL . 'assets/css/space.css' );
			
    }	
}
// Finally initialize code
new vcmegapack_space_class();