<?php
/* CLASS: Team */

class vcmegapack_team_class {
    function __construct() {
        add_action( 'init', array( $this, 'integrate_vcmegapack_teamWithVC' ) );
        add_shortcode( 'vcmp_team', array( $this, 'vcmegapack_team_function' ) );
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_team_loadCssAndJs' ) );
    }
 
    public function integrate_vcmegapack_teamWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('icons-list.php');
		include('animate-list.php');
		
		vc_map( array(
            "name" => __("Team", 'vcmegapack'),
            "description" => __("Add your user team", 'vcmegapack'),
            "base" => "vcmp_team",
            "class" => "adtheme",
            "controls" => "full",
            "icon" => plugins_url('vcmegapack/assets/img/team.png'),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(	
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Team Type", 'vcmegapack'),
                  "param_name" => "vcmp_team_type",
                  "value" => array(
				  					__('Grid Style 1','vcmegapack') 		=> 'vcmp-team-grid-style1',
									__('Grid Style 2','vcmegapack')  		=> 'vcmp-team-grid-style2',
									__('Carousel Style 1','vcmegapack')  	=> 'vcmp-team-carousel-style1',							
									__('Carousel Style 2','vcmegapack')  	=> 'vcmp-team-carousel-style2'																
				   ),			   
				),		

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Columns", 'vcmegapack'),
                  "param_name" => "vcmp_team_columns",
                  "value" => array(
				  					__('1','vcmegapack') 	=> '1',
									__('2','vcmegapack')  	=> '2',
				  					__('3','vcmegapack') 	=> '3',
									__('4','vcmegapack')  	=> '4',
				  					__('5','vcmegapack') 	=> '5',
									__('6','vcmegapack')  	=> '6',
				  					__('7','vcmegapack') 	=> '7',
									__('8','vcmegapack')  	=> '8',																											
				   ),
				  "dependency" => array(
							'element' => 'vcmp_team_type',
							'value' => array( 'vcmp-team-grid-style1', 'vcmp-team-grid-style2' )
				  ),				   				   			   
				),
					
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Excerpt", 'vcmegapack'),
                  "param_name" => "vcmp_team_excerpt",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'excerpt-show',
									__('Hidden','vcmegapack')  		=> 'excerpt-hidden',
				   ),				   			   
				),

			    array(
				  "type" => "textfield", 
				  "class" => "",
				  "heading" => __("Number Experpt",'vcmegapack'),
				  "param_name" => "vcmp_team_excerpt_number",
				  "description" => "ex 50. Leave empty for default value",				  
				  "dependency" => array(
							'element' => 'vcmp_team_excerpt',
							'value' => array( 'excerpt-show' )
				  ),					  				  			  				  
			    ),	
				
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Title", 'vcmegapack'),
                  "param_name" => "vcmp_team_title",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'title-show',
									__('Hidden','vcmegapack')  		=> 'title-hidden',
				   ),				   			   
				),										
				
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Sub Title", 'vcmegapack'),
                  "param_name" => "vcmp_team_subtitle",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'subtitle-show',
									__('Hidden','vcmegapack')  		=> 'subtitle-hidden',
				   ),				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Social", 'vcmegapack'),
                  "param_name" => "vcmp_team_social",
                  "value" => array(
				  					__('Show','vcmegapack') 		=> 'social-show',
									__('Hidden','vcmegapack')  		=> 'social-hidden',
				   ),				   			   
				),
								 					  
           		/* STYLE */
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Font Type", 'vcmegapack'),
                  "param_name" => "vcmp_team_font_type",
                  "value" => array(
				  					__('Default Site','vcmegapack') 			=> 'vcmp-font-default',
									__('Google Fonts Custom','vcmegapack')  	=> 'vcmp-google-font'
				   ),
				   "group" => "Style"				   			   
				),				
				array(
					'type' => 'google_fonts',
					'param_name' => 'vcmp_team_google_fonts',
					'value' => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
					'settings' => array(
						'fields' => array(
							'font_family_description' => __( 'Select font family.', 'vcmegapack' ),
							'font_style_description' => __( 'Select font styling.', 'vcmegapack' )
						)
					),
					'dependency' => array(
							'element' => 'vcmp_team_font_type',
							'value' => array( 'vcmp-google-font' )
					),					
					"group" => "Style"
				),
				
				/* EXCERPT */
			    array(
				  "type" 		=> "textfield", 
				  "class" 		=> "",
				  "heading" 	=> __("Excerpt Text Size (px)",'vcmegapack'),
				  "param_name" 	=> "vcmp_team_excerpt_size",
				  "description" => "ex 15px",				  
				  "group" 		=> "Style",
				  "dependency" 	=> array(
							'element' => 'vcmp_team_excerpt',
							'value' => array( 'excerpt-show' )
				  ),				  				  			  				  
			    ),	
				array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Excerpt Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_team_excerpt_color",
					  "value" 		 	=> '#333',
					  "group" 		 	=> "Style",
				  		"dependency" 	=> array(
							'element' 		=> 'vcmp_team_excerpt',
							'value' 		=> array( 'excerpt-show' )
				  ),					  			  
				 ),
				
				/* TITLE */
			    array(
				  "type" 		=> "textfield", 
				  "class" 		=> "",
				  "heading" 	=> __("Title Text Size (px)",'vcmegapack'),
				  "param_name" 	=> "vcmp_team_title_size",
				  "description" => "ex 15px",				  
				  "group" 		=> "Style",
				  "dependency" 	=> array(
							'element' => 'vcmp_team_title',
							'value' => array( 'title-show' )
				  ),				  				  			  				  
			    ),	
				array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Title Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_team_title_color",
					  "value" 		 	=> '#999',
					  "group" 		 	=> "Style",
				  		"dependency" 	=> array(
							'element' 		=> 'vcmp_team_title',
							'value' 		=> array( 'title-show' )
				  ),					  			  
				 ),
				
				/* SUBTITLE */
			    array(
				  "type" 		=> "textfield", 
				  "class" 		=> "",
				  "heading" 	=> __("Subtitle Text Size (px)",'vcmegapack'),
				  "param_name" 	=> "vcmp_team_subtitle_size",
				  "description" => "ex 15px",				  
				  "group" 		=> "Style",
				  "dependency" 	=> array(
							'element' => 'vcmp_team_subtitle',
							'value' => array( 'subtitle-show' )
				  ),				  				  			  				  
			    ),	
				array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Subtitle Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_team_subtitle_color",
					  "value" 		 	=> '#999',
					  "group" 		 	=> "Style",
				  		"dependency" 	=> array(
							'element' 		=> 'vcmp_team_subtitle',
							'value' 		=> array( 'subtitle-show' )
				  ),					  			  
				 ),				

				/* SOCIAL */
			    array(
				  "type" 		=> "textfield", 
				  "class" 		=> "",
				  "heading" 	=> __("Social Text Size (px)",'vcmegapack'),
				  "param_name" 	=> "vcmp_team_social_size",
				  "description" => "ex 15px",				  
				  "group" 		=> "Style",
				  "dependency" 	=> array(
							'element' => 'vcmp_team_social',
							'value' => array( 'social-show' )
				  ),				  				  			  				  
			    ),	
				array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Social Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_team_social_color",
					  "value" 		 	=> '#999',
					  "group" 		 	=> "Style",
				  		"dependency" 	=> array(
							'element' 		=> 'vcmp_team_social',
							'value' 		=> array( 'social-show' )
				  ),					  			  
				 ),				
				
				 /* BACKGROUND */ 																						
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Background Color", 'vcmegapack'),
					  "param_name" => "vcmp_team_background_color",
					  "value" => '#FFF',				  
					  "group" => "Style"					  					  				  
				  ),
				 
				 /* LINE STYLE 1 */ 				   
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Line Color", 'vcmegapack'),
					  "param_name" => "vcmp_team_line_color",
					  "value" => '#999',
					  "dependency" => array(
							'element' => 'vcmp_counter_type',
							'value' => array( 'vcmp-team-grid-style1' , 'vcmp-team-carousel-style1' )
					  ),					  
					  "group" => "Style"					  					  				  
				  ),			  

				 /* CAROUSEL */ 				   	
                 array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Number Item Show", 'vcmegapack'),
                  "param_name" => "vcmp_team_carousel_item",
                  "value" => array(
				  					__('1','vcmegapack') 	=> '1',
									__('2','vcmegapack')  	=> '2',
				  					__('3','vcmegapack') 	=> '3',
									__('4','vcmegapack')  	=> '4',
				  					__('5','vcmegapack') 	=> '5',
									__('6','vcmegapack')  	=> '6',
				  					__('7','vcmegapack') 	=> '7',
									__('8','vcmegapack')  	=> '8',																											
				   ),
				  "dependency" => array(
							'element' => 'vcmp_team_type',
							'value' => array( 'vcmp-team-carousel-style1', 'vcmp-team-carousel-style2' )
				  ),
				  "group" => "Carousel Settings"				   				   			   
				),
                 array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Navigation", 'vcmegapack'),
                  "param_name" => "vcmp_team_carousel_navigation",
                  "value" => array(
				  					__('Show','vcmegapack') 	=> 'true', 
									__('Hidden','vcmegapack')  	=> 'false'																										
				   ),
				  "dependency" => array(
							'element' => 'vcmp_team_type',
							'value' => array( 'vcmp-team-carousel-style1', 'vcmp-team-carousel-style2' )
				  ),
				  "group" => "Carousel Settings"				   				   			   
				),
                 array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Pagination", 'vcmegapack'),
                  "param_name" => "vcmp_team_carousel_pagination",
                  "value" => array(
				  					__('Show','vcmegapack') 	=> 'true', 
									__('Hidden','vcmegapack')  	=> 'false'																										
				   ),
				  "dependency" => array(
							'element' => 'vcmp_team_type',
							'value' => array( 'vcmp-team-carousel-style1', 'vcmp-team-carousel-style2' )
				  ),
				  "group" => "Carousel Settings"				   				   			   
				),
				array(
					  "type" => "textfield",
					  "class" => "",
					  "heading" => __("Autoplay (ms)",'vcmegapack'),
					  "param_name" => "vcmp_team_carousel_autoplay",
					  "description" => "ex 1000 (Insert 0 if you want disable autoplay)",					  
					  "dependency" => array(
								'element' => 'vcmp_team_type',
								'value' => array( 'vcmp-team-carousel-style1', 'vcmp-team-carousel-style2' )
					  ),
					  "group" => "Carousel Settings"					  
				),	
				array(
					  "type" => "textfield",
					  "class" => "",
					  "heading" => __("Item Padding",'vcmegapack'),
					  "param_name" => "vcmp_team_carousel_item_padding",
					  "description" => "ex 10px or 2px 2px 2px 2px (Leave empty for no padding)",					  
					  "dependency" => array(
								'element' => 'vcmp_team_type',
								'value' => array( 'vcmp-team-carousel-style1', 'vcmp-team-carousel-style2' )
					  ),
					  "group" => "Carousel Settings"					  
				),
							  				  				  
				/* ANIMATION */  												  							  		  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(									
									__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			  
			  			  
			)
		)		  			  			  			  			  			  
	  );	  
    }	
	
    public function vcmegapack_team_loadCssAndJs() {	
		wp_register_style( 'vcmp-team',  AD_VCMP_URL . 'assets/css/team.css' );
		wp_register_script( 'vcmp-team-js',  AD_VCMP_URL . 'assets/js/jquery.countTo.js' , array('jquery'), '', true);
		wp_register_style( 'vcmp-owl-carousel',  AD_VCMP_URL . 'assets/css/owl.carousel.css' );
		wp_register_style( 'vcmp-owl-theme',  AD_VCMP_URL . 'assets/css/owl.theme.css' );
		wp_register_script( 'vcmp-owl-carousel-js',  AD_VCMP_URL . 'assets/js/owl.carousel.min.js' , array('jquery'), '', true);
    }	
}
// Finally initialize code
new vcmegapack_team_class();
