<?php
/* CLASS: timeline */

class vcmegapack_timeline_class {
    function __construct() {
        add_action( 'init', array( $this, 'integrate_vcmegapack_timelineWithVC' ) );
        add_shortcode( 'vcmp_timeline', array( $this, 'vcmegapack_timeline_function' ) );
        add_action( 'wp_enqueue_scripts', array( $this, 'vcmegapack_timeline_loadCssAndJs' ) );
    }
 
    public function integrate_vcmegapack_timelineWithVC() {
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
		
		include('icons-list.php');
		include('animate-list.php');
		
		vc_map( array(
            "name" => __("Timeline", 'vcmegapack'),
            "description" => __("Add your timeline", 'vcmegapack'),
            "base" => "vcmp_timeline",
            "class" => "adtheme",
            "controls" => "full",
            "icon" => plugins_url('vcmegapack/assets/img/timeline.png'),
            "category" => __('VC Mega Pack', 'js_composer'),
            "params" => array(	
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Timeline Type", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_type",
                  "value" => array(
				  					__('Style 1','vcmegapack') 	=> 'vcmp-timeline-style1',
									__('Style 2','vcmegapack')  => 'vcmp-timeline-style2',															
				   ),			   
				),		

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Timeline Source", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_source",
                  "value" => array(
				  					__('Posts/Custom Posts','vcmegapack') 	=> 'vcmp_posts',
									__('Gallery Image','vcmegapack')  		=> 'vcmp_gallery',																										
				   ),				   				   			   
				),	
													
				// POSTS
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Date Format", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_date_format",
                  "value" => array(
				  					__('November 6, 2010 12:50 am','vcmegapack') 		=> 'F j, Y g:i a',
									__('November 6, 2010','vcmegapack')  				=> 'F j, Y',
				  					__('November, 2010','vcmegapack') 					=> 'F, Y',
									__('12:50 am','vcmegapack')  						=> 'g:i a',
				  					__('12:50:48 am','vcmegapack') 						=> 'g:i:s a',
									__('Saturday, November 6th, 2010','vcmegapack')  	=> 'l, F jS, Y',
				  					__('Nov 6, 2010 @ 0:50','vcmegapack') 				=> 'M j, Y @ G:i',
									__('2010/11/06 at 12:50 AM','vcmegapack')  			=> 'Y/m/d \a\t g:i A',
				  					__('2010/11/06 at 12:50am','vcmegapack') 			=> 'Y/m/d \a\t g:ia',
									__('2010/11/06 12:50:48 AM','vcmegapack')  			=> 'Y/m/d g:i:s A',
									__('2010/11/06','vcmegapack')  						=> 'Y/m/d',																																														
				   ),					   					   				   			   
				),				
								
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Title", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_show_title",
                  "value" => array(
				  					__('Show','vcmegapack') 	=> 'true',
									__('Hidden','vcmegapack')  => 'false',															
				   ),				   			   
				),				
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Image", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_show_image",
                  "value" => array(
				  					__('Show','vcmegapack') 	=> 'true',
									__('Hidden','vcmegapack')  => 'false',															
				   ),				   			   
				),				
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Excerpt", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_show_excerpt",
                  "value" => array(
				  					__('Show','vcmegapack') 	=> 'true',
									__('Hidden','vcmegapack')  => 'false',															
				   ),
				  "dependency" => array(
							'element' => 'vcmp_timeline_source',
							'value' => array( 'vcmp_posts' )
					),					   			   			   
				),
			    array(
				  "type" => "textfield", 
				  "class" => "",
				  "heading" => __("Number Charpter Excerpt",'vcmegapack'),
				  "param_name" => "vcmp_timeline_excerpt_number",
				  "description" => "ex: 150. Leave Empty for default value",
				  "dependency" => array(
							'element' => 'vcmp_timeline_show_excerpt',
							'value' => array( 'true' )
				  ),				  					  				  					  				  			  				  
			    ),
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Description", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_show_description",
                  "value" => array(
				  					__('Show','vcmegapack') 	=> 'true',
									__('Hidden','vcmegapack')  => 'false',															
				   ),
				  "dependency" => array(
							'element' => 'vcmp_timeline_source',
							'value' => array( 'vcmp_gallery' )
					),					   			   			   
				),													
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Show Button", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_show_button",
                  "value" => array(
				  					__('Show','vcmegapack') 	=> 'true',
									__('Hidden','vcmegapack')  => 'false',															
				   ),
				  "dependency" => array(
							'element' => 'vcmp_timeline_source',
							'value' => array( 'vcmp_posts' )
					),				   			   
				),					
				
				// GALLERY		
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Link", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_link",
                  "value" => array(
				  					__('Image','vcmegapack') 	=> 'image',
									__('Custom Url','vcmegapack')  => 'custom_url',															
				   ),
				  "dependency" => array(
							'element' => 'vcmp_timeline_source',
							'value' => array( 'vcmp_gallery' )
					),				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Target Link", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_target_link",
                  "value" => array(
				  					__('Same Window','vcmegapack')  => '_self',	
				  					__('New Window','vcmegapack') 	=> '_blank'
																							
				   ),
				  "dependency" => array(
							'element' => 'vcmp_timeline_link',
							'value' => array( 'custom_url' )
				  ),				   			   
				),

                array(
                  "type" => "attach_images",
                  "class" => "",
                  "heading" => __("Upload Your Images", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_images",
				  "dependency" => array(
							'element' => 'vcmp_timeline_source',
							'value' => array( 'vcmp_gallery' )
				  ),				  
                ),

				// QUERY 
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Source", 'vcmegapack'),
                  "param_name" => "vcmp_query_source",
                  "value" => array(
				  					__('Wordpress Posts','vcmegapack') 		=> 'wp_posts',
									__('Custom Posts Type','vcmegapack')  	=> 'wp_custom_posts_type',
				   ),
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_timeline_source',
							'value' => array( 'vcmp_posts' )
				  ),				   				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("All Posts/Sticky posts", 'vcmegapack'),
                  "param_name" => "vcmp_query_sticky_posts",
                  "value" => array(
				  					__('All Posts','vcmegapack') 		 	=> 'allposts',
									__('Only Sticky Posts','vcmegapack')  	=> 'onlystickyposts',
				   ),
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_source',
							'value' => array( 'wp_posts' )
				  ),					   				   			   
				),

			    array(
				  "type" => "posttypes", 
				  "class" => "",
				  "heading" => __("Select Post Type Source",'vcmegapack'),
				  "param_name" => "vcmp_query_posts_type",
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_query_source',
							'value' => array( 'wp_custom_posts_type' )
				  ),					  				  					  				  			  				  
			    ),

			    array(
				  "type" => "textfield", 
				  "class" => "",
				  "heading" => __("Categories",'vcmegapack'),
				  "param_name" => "vcmp_query_categories",
				  "description" => "Write Categories slug separate by comma(,) for example: cat-slug1, cat-slug2, cat-slug3 (Leave empty for all categories)",
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_timeline_source',
							'value' => array( 'vcmp_posts' )
				  ),				  					  				  					  				  			  				  
			    ),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Order", 'vcmegapack'),
                  "param_name" => "vcmp_query_order",
                  "value" => array(
				  					__('DESC','vcmegapack')  	=> 'DESC',
				  					__('ASC','vcmegapack') 		=> 'ASC'
									
				   ),
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_timeline_source',
							'value' => array( 'vcmp_posts' )
				  ),				   				   			   
				),

                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Order By", 'vcmegapack'),
                  "param_name" => "vcmp_query_orderby",
                  "value" => array(
				  					__('Date','vcmegapack') 			=> 'date',
									__('ID','vcmegapack')  				=> 'ID',
				  					__('Author','vcmegapack') 			=> 'author',
									__('Title','vcmegapack')  			=> 'title',
				  					__('Name','vcmegapack') 			=> 'name',
									__('Modified','vcmegapack')  		=> 'modified',
				  					__('Parent','vcmegapack') 			=> 'parent',
									__('Rand','vcmegapack')  			=> 'rand',
									__('Comments Count','vcmegapack')  	=> 'comment_count',
									__('None','vcmegapack')  			=> 'none',																																													
				   ),
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_timeline_source',
							'value' => array( 'vcmp_posts' )
				  ),				   				   			   
				),

			    array(
				  "type" => "textfield", 
				  "class" => "",
				  "heading" => __("Number Posts",'vcmegapack'),
				  "param_name" => "vcmp_query_number",
				  "description" => "ex 10",
				  "group" => "Query",
				  "dependency" => array(
							'element' => 'vcmp_timeline_source',
							'value' => array( 'vcmp_posts' )
				  ),					  				  					  				  			  				  
			    ),
								 					  
           		/* STYLE */
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Font Type", 'vcmegapack'),
                  "param_name" => "vcmp_timeline_font_type",
                  "value" => array(
				  					__('Default Site','vcmegapack') 			=> 'vcmp-font-default',
									__('Google Fonts Custom','vcmegapack')  	=> 'vcmp-google-font'
				   ),
				   "group" => "Style"				   			   
				),				
				array(
					'type' => 'google_fonts',
					'param_name' => 'vcmp_timeline_google_fonts',
					'value' => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
					'settings' => array(
						'fields' => array(
							'font_family_description' => __( 'Select font family.', 'vcmegapack' ),
							'font_style_description' => __( 'Select font styling.', 'vcmegapack' )
						)
					),
					'dependency' => array(
							'element' => 'vcmp_timeline_font_type',
							'value' => array( 'vcmp-google-font' )
					),					
					"group" => "Style"
				),
			    array(
				  "type" 		=> "textfield", 
				  "class" 		=> "",
				  "heading" 	=> __("Title font Size (px)",'vcmegapack'),
				  "param_name" 	=> "vcmp_timeline_title_fs",
				  "description" => "ex 15px",				  
				  "group" 		=> "Style",			  				  			  				  
			    ),						
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Background Color", 'vcmegapack'),
					  "param_name" => "vcmp_timeline_background_color",
					  "value" => 'rgba(255,255,255,1)',				  
					  "group" => "Style"					  					  				  
				  ),			  
				 array(
					  "type" => "colorpicker",
					  "class" => "",
					  "heading" => __("Line Color", 'vcmegapack'),
					  "param_name" => "vcmp_timeline_line_color",
					  "value" => 'rgba(0,0,0,0.3)',				  
					  "group" => "Style"					  					  				  
				  ),				  				
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Font Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_timeline_font_color",
					  "value" 		 	=> 'rgba(56,56,56,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Link Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_timeline_a_color",
					  "value" 		 	=> 'rgba(56,56,56,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
				 array(
					  "type" 			=> "colorpicker",
					  "class" 			=> "",
					  "heading"			=> __("Over Color", 'vcmegapack'),
					  "param_name" 	 	=> "vcmp_timeline_over_color",
					  "value" 		 	=> 'rgba(138,138,138,1)',
					  "group" 		 	=> "Style"				  			  
				 ),
							  				  				  
				/* ANIMATION */  												  							  		  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate", 'vcmegapack'),
                  "param_name" => "vcmp_animate",
                  "value" => array(									
									__('Off','vcmegapack') 	  => 'off',
									__('On','vcmegapack') => 'on'
				   ),
				   "group" => "Animation"
				),			  
                array(
                  "type" => "dropdown",
                  "class" => "",
                  "heading" => __("Animate Effects", 'vcmegapack'),
                  "param_name" => "vcmp_animate_effect",
                  "value" => $animate_effect,
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "group" => "Animation"				   
				),				  
			  array(
				  "type" => "textfield",
				  "class" => "",
				  "heading" => __("Animate Delay (ms)",'vcmegapack'),
				  "param_name" => "vcmp_delay",
				  "description" => "ex 1000",					  
				  'dependency' => array(
						'element' => 'vcmp_animate',
						'value' => array( 'on' )
				  ),
				  "value" => "0",
				  "group" => "Animation"					  
			  ),			  
			  			  
			)
		)		  			  			  			  			  			  
	  );	  
    }	
	
    public function vcmegapack_timeline_loadCssAndJs() {	
		wp_register_style( 'vcmp-timeline',  AD_VCMP_URL . 'assets/css/timeline.css' );
		wp_register_style( 'vcmp-magnific-popup',  AD_VCMP_URL . 'assets/css/magnific-popup.css' );
		wp_register_script( 'vcmp-magnific-popup-js',  AD_VCMP_URL . 'assets/js/jquery.magnific-popup.js' , array('jquery'), '', true);				
    }	
}
// Finally initialize code
new vcmegapack_timeline_class();