<?php
/*
File: carousel.php
Description: Function carousel
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_carousel_function extends vcmegapack_carousel_class {
public function vcmegapack_carousel_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_carousel_type" => 'vcmp-carousel-style1',
				"vcmp_carousel_source" => 'vcmp_posts',
				"vcmp_carousel_posts_zoom" => 'zoom_show',
				"vcmp_carousel_posts_plus" => 'plus_show',	
				"vcmp_carousel_link" => 'image',
				"vcmp_carousel_target_link" => '_self',
				"vcmp_carousel_images" => '',				

				"vcmp_query_source" => 'wp_posts',
				"vcmp_query_sticky_posts" => 'allposts',
				"vcmp_query_posts_type" => '',
				"vcmp_query_categories" => '',
				"vcmp_query_order" => 'DESC',
				"vcmp_query_orderby" => 'date',
				"vcmp_query_pagination" => '',
				"vcmp_query_pagination_type" => '',
				"vcmp_query_number" => '',
				"vcmp_query_posts_for_page" => '',

				"vcmp_carousel_item" => '1',
				"vcmp_carousel_navigation" => 'true',
				"vcmp_carousel_pagination" => 'true',
				"vcmp_carousel_autoplay" => '',
				"vcmp_carousel_item_padding" => '', 
				
				"vcmp_carousel_font_type" => 'vcmp-font-default',
				"vcmp_carousel_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
				"vcmp_carousel_title_fs" => '',
				"vcmp_carousel_background_color" => 'rgba(255,255,255,1)',
				"vcmp_carousel_secondary_color" => 'rgba(0,0,0,0.3)',
				"vcmp_carousel_font_color" => 'rgba(56,56,56,1)',
				"vcmp_carousel_a_color" => 'rgba(56,56,56,1)',												
				"vcmp_carousel_over_color" => 'rgba(138,138,138,1)',											
				  
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);
	
	if($vcmp_carousel_font_type == 'vcmp-google-font') {
			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_carousel_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_carousel_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/
			
			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');			
	}
			
			$return = '';
			$return .= '<style type="text/css">';
			if($vcmp_carousel_font_type == 'vcmp-google-font') {
				$return .=  '.vcmp-carousel-'.$instance.' { 
										font-family:'.$font_name_slip.';
										font-style:'.$font_style.';
										font-weight:'.$font_weight.';
								  }';	
			}			
			
			$return .= carousel_style($instance,
							$vcmp_carousel_item_padding, 
							$vcmp_carousel_type, 
							$vcmp_carousel_title_fs,  
							$vcmp_carousel_background_color, 
							$vcmp_carousel_secondary_color, 
							$vcmp_carousel_font_color, 
							$vcmp_carousel_a_color, 
							$vcmp_carousel_over_color);
							
			$return .= '</style>';
			

			
			/* LOAD CSS && JS */	
			wp_enqueue_style( 'vcmp-normalize' );
			wp_enqueue_style( 'vcmp-columns' );
			wp_enqueue_style( 'vcmp-animations' );
			wp_enqueue_style( 'vcmp-fonts' );
			wp_enqueue_script( 'vcmp-appear-js' );
			wp_enqueue_script( 'vcmp-animate-js' );	
			wp_enqueue_script( 'vcmp-magnific-popup-js' );			
			wp_enqueue_style( 'vcmp-carousel' );			
			wp_enqueue_style( 'vcmp-magnific-popup' );
			wp_enqueue_style( 'vcmp-owl-carousel' );
			wp_enqueue_style( 'vcmp-owl-theme' );
			wp_enqueue_script( 'vcmp-owl-carousel-js' );			

			if(empty($vcmp_carousel_autoplay) || $vcmp_carousel_autoplay == '0' || $vcmp_carousel_autoplay == '') {
				$vcmp_carousel_autoplay = 'false';
			}

			$return .= '
			<script>
			jQuery(document).ready(function($){
      			$(".vcmp-carousel-'.$instance.'").owlCarousel({
					items : '.$vcmp_carousel_item.',
					autoPlay: '.$vcmp_carousel_autoplay.',
					navigation: '.$vcmp_carousel_navigation.',
					pagination: '.$vcmp_carousel_pagination.',
					itemsTablet: [1025,2],
					itemsMobile: [479,1],
					navigationText: [\'<i class="adtheme-icon-arrow-left"></i>\',\'<i class="adtheme-icon-arrow-right"></i>\'] 				
				});
			});
			</script>';
					
			if($vcmp_carousel_link != 'custom_url') {
				$return .= "<script type=\"text/javascript\">	
								jQuery(document).ready(function($){
									$('.vcmp-carousel-".$instance." .vcmp-zoom-image').magnificPopup({
										type: 'image',
											gallery:{
												enabled:true
											}
									});
								});
							</script>";
			}
			
			
			$return .= '<div class="vcmp-carousel vcmp-'.$instance.' '.$vcmp_carousel_type.' vcmp-carousel-'.$instance.' owl-carousel';
				if($vcmp_animate == 'on') { // ANIMATION ON
					$return .= ' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'';
				}
			$return .= '">';
	
			/**************************************************/
			/**************** GALLERY SOURCE ******************/
			/**************************************************/
			
			if($vcmp_carousel_source == 'vcmp_gallery') {
			
			$images = explode( ',', $vcmp_carousel_images );
	
			foreach ( $images as $id ) {			
				$image_attributes = wp_get_attachment_image_src( $id, 'vcmegapack-fullscreen' );
					if($vcmp_carousel_link == 'custom_url') {					
						$link = get_post_meta( $id, '_custom_url', true );
						$target = 'target="'.$vcmp_carousel_target_link.'"';						
					} else {
						$link = $image_attributes[0];
						$target = '';
					}
				$attachment_caption_array = get_post( $id );
				$attachment_caption	= $attachment_caption_array->post_excerpt;
				if(empty($attachment_caption)) { $attachment_caption = ' '; }
				
				$return .= '<div class="vcmp-item">';
				
				$return .= '<div class="vcmp-container-thumbs"><div class="vcmp-header-container">';
				if($vcmp_carousel_link == 'custom_url') {
					$return .= '<a href="'.$link.'" '.$target.'>';	
				}
					$return .= '<img src="'.$image_attributes[0].'">';
				if($vcmp_carousel_link == 'custom_url') {
					$return .= '</a>';	
				}				
				if($vcmp_carousel_type == 'vcmp-carousel-style2') {
					$return .= '<h1 class="vcmp-title">'.$attachment_caption.'</h1>';							
				}
				$return .= '</div>';
				if($vcmp_carousel_link != 'custom_url') {	
					$return .= '<div class="vcmp-image-over">';
					if($vcmp_carousel_type == 'vcmp-carousel-style3') {
						$return .= '<h1 class="vcmp-title">'.$attachment_caption.'</h1>';							
					}		
						$return .= '<a href="'.$link.'" class="adtheme-icon-search vcmp-zoom-image" title="'.$attachment_caption.'" '.$target.'></a>';			
						$return .= '</div>';
				}										
				$return .=	'</div>';			
				$return .= '</div>'; // #VCMP-ITEM			
				
				}
			
			} else {
			
			/**************************************************/
			/****************** POSTS SOURCE ******************/
			/**************************************************/
			
			// LOOP QUERY
			$query = vcmp_query($vcmp_query_source,
								$vcmp_query_sticky_posts, 
								$vcmp_query_posts_type, 
								$vcmp_query_categories, 
								$vcmp_query_order, 
								$vcmp_query_orderby, 
								'no', 
								$vcmp_query_number, 
								$vcmp_query_posts_for_page);

			$loop = new WP_Query($query);	
			if($loop) { 
			while ( $loop->have_posts() ) : $loop->the_post();	
				$link = get_permalink();
				
				$return .= '<div class="vcmp-item">';
				
				$return .= '<div class="vcmp-container-thumbs"><div class="vcmp-header-container">';
				$return .= vcmegapack_thumbs('vcmegapack-rectangle');
				if($vcmp_carousel_type == 'vcmp-carousel-style2') {
					$return .= '<h1 class="vcmp-title">'.get_the_title().'</h1>';							
				}
				$return .= '</div>';
				if($vcmp_carousel_posts_zoom == 'zoom_show' && $vcmp_carousel_posts_plus == 'plus_show') {
					$return .= '<div class="vcmp-image-over vcmp-both-icon">';	
				} else {
					$return .= '<div class="vcmp-image-over">';
				}
				if($vcmp_carousel_type == 'vcmp-carousel-style3') {
					$return .= '<h1 class="vcmp-title">'.get_the_title().'</h1>';							
				}
				if($vcmp_carousel_posts_zoom == 'zoom_show') {			
					$return .= '<a href="'.vcmegapack_thumbs_link('vcmegapack-fullscreen').'" class="adtheme-icon-search vcmp-zoom-image" title="'.get_the_title().'"></a>';
				}
				if($vcmp_carousel_posts_plus == 'plus_show') {			
					$return .= '<a href="'.$link.'" class="adtheme-icon-plus"></a>';
				}
								
				$return .= '</div>';										
				$return .=	'</div>';			
				$return .= '</div>'; // #VCMP-ITEM			
									
			
			endwhile;
			} // #LOOP QUERY				
			
			} // #POSTS SOURCE
										
			$return .= '</div>';
			wp_reset_query();
			return $return;		
    } 
}
new vcmp_carousel_function();
?>