<?php
/*
File: counter.php
Description: Function counter
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_counter_function extends vcmegapack_counter_class {
public function vcmegapack_counter_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_counter_type" => 'counter-normal',
				"vcmp_counter_number" => '',
				"vcmp_counter_text_active" => 'text-show', 
				"vcmp_counter_text" => '',
				"vcmp_counter_align" => 'vcmp-align-center',
				"vcmp_counter_icon" => 'adtheme-icon-home', 
				"vcmp_counter_icon_style" => 'counter-icon-no-bg', 
				"vcmp_counter_font_type" => 'vcmp-font-default', 
				"vcmp_counter_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
				"vcmp_counter_size" => '',
				"vcmp_counter_text_size" => '',
				"vcmp_counter_icon_size" => '',
				"vcmp_counter_main_color" => '#FC615D',
				"vcmp_counter_icon_color" => '#FC615D',
				"vcmp_counter_background_icon_color" => '#FC615D',
				"vcmp_counter_line_color" => '#FC615D',
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);

	if($vcmp_counter_font_type == 'vcmp-google-font') {

			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_counter_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_counter_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/

			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');	

	}

	/* LOAD CSS && JS */	
	wp_enqueue_style( 'vcmp-normalize' );
	wp_enqueue_style( 'vcmp-animations' );
	wp_enqueue_style( 'vcmp-fonts' );
	wp_enqueue_script( 'vcmp-appear-js' );
	wp_enqueue_script( 'vcmp-animate-js' );
	wp_enqueue_script( 'vcmp-counter-js' );		
	wp_enqueue_style( 'vcmp-counter' );	
	
	$return = '<style type="text/css">';
	if($vcmp_counter_font_type == 'vcmp-google-font') {
		$return .=  '.container-counter.vcmp-counter-'.$instance.' {
								font-size:'.$vcmp_counter_size.'; 
								font-family:'.$font_name_slip.';
								font-style:'.$font_style.';
								font-weight:'.$font_weight.';
						  }';	
	} else {
		$return .=  '.container-counter.vcmp-counter-'.$instance.' {
								font-size:'.$vcmp_counter_size.'; 
						  }';		
	}
	$return .=  '.container-counter.vcmp-counter-'.$instance.' i {
			font-size:'.$vcmp_counter_icon_size.';
	}';
	if($vcmp_counter_text_active == 'text-show') {
		$return .= '.container-counter.vcmp-counter-'.$instance.' .counter-text {
								font-size:'.$vcmp_counter_text_size.';
								color:'.$vcmp_counter_main_color.'; 
		}';
	}
	if($vcmp_counter_type == 'counter-icon') {
		if($vcmp_counter_icon_style == 'counter-icon-no-bg') {
			$return .= '.container-counter.vcmp-counter-'.$instance.' i {
				color:'.$vcmp_counter_icon_color.';
			}';			
		} else {
			$return .= '.container-counter.vcmp-counter-'.$instance.' i {
				background:'.$vcmp_counter_background_icon_color.';
				color:'.$vcmp_counter_icon_color.';
			}';
		}
	}	
	$return .= '.container-counter.vcmp-counter-'.$instance.' .timer {
			color:'.$vcmp_counter_main_color.'; 
	}';
	if($vcmp_counter_type == 'counter-line') {
		$return .= '.container-counter.vcmp-counter-'.$instance.' .counter-line {
			background:'.$vcmp_counter_line_color.';
		}';
	}	
	$return .= '</style>';
	
	$return .= '<script type="text/javascript">
	jQuery(function($){
					/* COUNTER */
				  // custom formatting example 
				$(\'.container-counter\').appear(function() {
					  $(\'#counter'.$instance.'\').data(\'countToOptions\', {
						formatter: function (value, options) {
						  return value.toFixed(options.decimals).replace(/\B(?=(?:\d{3})+(?!\d))/g, \'\');
						} 
					  });			  				  				  
					  // start all the timers
					  $(\'.timer\').each(count);
					  
					  function count(options) {
						var $this = $(this);
						options = $.extend({}, options || {}, $this.data(\'countToOptions\') || {});
						$this.countTo(options);
					  }				
					});	
	});		
					</script>';
					
	
	
		if($vcmp_animate == 'on') {

			$return .= '<div class="container-counter '.$vcmp_counter_align.' vcmp-counter-'.$instance.' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">';

				if($vcmp_counter_type == 'counter-icon') {	
						$return .= '<i class="'.$vcmp_counter_icon.' '.$vcmp_counter_icon_style.'"></i>';
				}
			
			$return .= '<span class="timer" id="counter'.$instance.'" data-to="'.$vcmp_counter_number.'" data-speed="10000"></span>';

				if($vcmp_counter_type == 'counter-line') {	
						$return .= '<span class="counter-line"></span>';
				}
				
				if($vcmp_counter_text_active == 'text-show') {	
						$return .= '<span class="counter-text">'.$vcmp_counter_text.'</span>';
				}
			
			$return .= '</div>';			

		} else {

			$return .= '<div class="container-counter '.$vcmp_counter_align.' vcmp-counter-'.$instance.'">';

				if($vcmp_counter_type == 'counter-icon') {	
						$return .= '<i class="'.$vcmp_counter_icon.' '.$vcmp_counter_icon_style.'"></i>';
				}
			
			$return .= '<span class="timer" id="counter'.$instance.'" data-to="'.$vcmp_counter_number.'" data-speed="10000"></span>';

				if($vcmp_counter_type == 'counter-line') {	
						$return .= '<span class="counter-line"></span>';
				}
				
				if($vcmp_counter_text_active == 'text-show') {	
						$return .= '<span class="counter-text">'.$vcmp_counter_text.'</span>';
				}
			
			$return .= '</div>';	
	
		}
		return $return;
    } 
}
new vcmp_counter_function();
?>