<?php
/*
File: gallery.php
Description: Function gallery
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_gallery_function extends vcmegapack_gallery_class {
public function vcmegapack_gallery_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_gallery_type" => 'vcmp-gallery-style1',
				"vcmp_gallery_columns" => '1',	
				"vcmp_gallery_link" => 'image',
				"vcmp_gallery_target_link" => '_self',
				"vcmp_gallery_images" => '',				
				
				"vcmp_gallery_font_type" => 'vcmp-font-default',
				"vcmp_gallery_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
				"vcmp_gallery_title_fs" => '',
				"vcmp_gallery_background_color" => 'rgba(255,255,255,1)',
				"vcmp_gallery_secondary_color" => 'rgba(0,0,0,0.3)',
				"vcmp_gallery_font_color" => 'rgba(56,56,56,1)',
				"vcmp_gallery_a_color" => 'rgba(56,56,56,1)',												
				"vcmp_gallery_over_color" => 'rgba(138,138,138,1)',											
				  
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);
	
	if($vcmp_gallery_font_type == 'vcmp-google-font') {
			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_gallery_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_gallery_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/
			
			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');			
	}
			
			$return = '';
			$return .= '<style type="text/css">';
			if($vcmp_gallery_font_type == 'vcmp-google-font') {
				$return .=  '.vcmp-gallery-'.$instance.' { 
										font-family:'.$font_name_slip.';
										font-style:'.$font_style.';
										font-weight:'.$font_weight.';
								  }';	
			}			
			
			$return .= gallery_style($instance, 
							$vcmp_gallery_type, 
							$vcmp_gallery_title_fs,  
							$vcmp_gallery_background_color, 
							$vcmp_gallery_secondary_color, 
							$vcmp_gallery_font_color, 
							$vcmp_gallery_a_color, 
							$vcmp_gallery_over_color);
							
			$return .= '</style>';
			

			
			/* LOAD CSS && JS */	
			wp_enqueue_style( 'vcmp-normalize' );
			wp_enqueue_style( 'vcmp-columns' );
			wp_enqueue_style( 'vcmp-animations' );
			wp_enqueue_style( 'vcmp-fonts' );
			wp_enqueue_script( 'vcmp-appear-js' );
			wp_enqueue_script( 'vcmp-animate-js' );	
			wp_enqueue_script( 'vcmp-magnific-popup-js' );			
			wp_enqueue_style( 'vcmp-gallery' );			
			wp_enqueue_style( 'vcmp-magnific-popup' );
			
					
			if($vcmp_gallery_link != 'custom_url') {
				$return .= "<script type=\"text/javascript\">	
								jQuery(document).ready(function($){
									$('.vcmp-gallery-".$instance." .vcmp-zoom-image').magnificPopup({
										type: 'image',
											gallery:{
												enabled:true
											}
									});
								});
							</script>";
			}
			
			
			$return .= '<div class="vcmp-gallery vcmp-'.$instance.' '.$vcmp_gallery_type.' vcmp-columns-'.$vcmp_gallery_columns.' vcmp-gallery-'.$instance.'';
				if($vcmp_animate == 'on') { // ANIMATION ON
					$return .= ' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'';
				}
			$return .= '">';
			
			$images = explode( ',', $vcmp_gallery_images );
	
			foreach ( $images as $id ) {			
				$image_attributes = wp_get_attachment_image_src( $id, 'vcmegapack-fullscreen' );
					if($vcmp_gallery_link == 'custom_url') {					
						$link = get_post_meta( $id, '_custom_url', true );
						$target = 'target="'.$vcmp_gallery_target_link.'"';						
					} else {
						$link = $image_attributes[0];
						$target = '';
					}
				$attachment_caption_array = get_post( $id );
				$attachment_caption	= $attachment_caption_array->post_excerpt;
				if(empty($attachment_caption)) { $attachment_caption = ' '; }
				
				$return .= '<div class="vcmp-item">';
				
				$return .= '<div class="vcmp-container-thumbs"><div class="vcmp-header-container">';
				$return .= '<img src="'.$image_attributes[0].'">';
				if($vcmp_gallery_type == 'vcmp-gallery-style2') {
					$return .= '<h1 class="vcmp-title">'.$attachment_caption.'</h1>';							
				}
				$return .= '</div>';
				$return .= '<div class="vcmp-image-over">';
				if($vcmp_gallery_type == 'vcmp-gallery-style3') {
					$return .= '<h1 class="vcmp-title">'.$attachment_caption.'</h1>';							
				}			
				$return .= '<a href="'.$link.'" class="adtheme-icon-search vcmp-zoom-image" title="'.$attachment_caption.'" '.$target.'></a>
							</div>';										
				$return .=	'</div>';			
				$return .= '</div>'; // #VCMP-ITEM			
				
				}
				
										
			$return .= '</div>';
			
			return $return;		
    } 
}
new vcmp_gallery_function();
?>