<?php
/*
File: map.php
Description: Function Map
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_map_function extends vcmegapack_map_class {
public function vcmegapack_map_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_type" => 'road', 
				"vcmp_latidude" => '36.394757', 
				"vcmp_longitude" => '-105.600586', 
				"vcmp_zoom" => '9', 
				"vcmp_messagge" => 'This is the message...', 
				"vcmp_width" => '300px', 
				"vcmp_height" => '300px',
				"vcmp_marker" => 'off',
				"vcmp_marker_image" => '',
				"vcmp_zoomcontrol" => 'false',
				"vcmp_scalecontrol" => 'false',
				"vcmp_streetviewcontrol" => 'false',
				"vcmp_rotatecontrol" => 'false',
				"vcmp_maptypecontrol" => 'false',
				"vcmp_pancontrol" => 'false', 
				"vcmp_overviewmapcontrol" => 'false',
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0'), 
				$atts)
	);

	/* LOAD CSS */	
	wp_enqueue_style( 'vcmp-map' );

	$id = 'vcmegapack-'.$instance;
	wp_enqueue_script( 'vcmp-map-js',  'http://maps.google.com/maps/api/js?sensor=false'); 
	
    $mapType = '';
    if($vcmp_type == "satellite") {
        $mapType = "SATELLITE";
	} elseif($vcmp_type == "terrain") {
        $mapType = "TERRAIN"; 
	} elseif($vcmp_type == "hybrid") {
        $mapType = "HYBRID";
	} elseif($vcmp_type == "roadmap") {
        $mapType = "ROADMAP"; 
	}
	
    echo '<!-- Google Map -->
        <script type="text/javascript"> 
		jQuery(document).ready(function($){
        $(document).ready(function() {
          function initializeGoogleMap() {
     
              var myLatlng = new google.maps.LatLng('.$vcmp_latidude.','.$vcmp_longitude.');
              var myOptions = {
                center: myLatlng, 
                zoom: '.$vcmp_zoom.',
                mapTypeId: google.maps.MapTypeId.'.$mapType.',
				panControl:'.$vcmp_pancontrol.',
				zoomControl:'.$vcmp_zoomcontrol.',
				mapTypeControl:'.$vcmp_maptypecontrol.',
				scaleControl:'.$vcmp_scalecontrol.',
				streetViewControl:'.$vcmp_streetviewcontrol.',
				overviewMapControl:'.$vcmp_overviewmapcontrol.',
				rotateControl:'.$vcmp_rotatecontrol.'		
              };
              var map = new google.maps.Map(document.getElementById("'.$id.'"), myOptions);
     
              var contentString = "'.$vcmp_messagge.'";
              var infowindow = new google.maps.InfoWindow({
                  content: contentString
              });
               
              var marker = new google.maps.Marker({
                  position: myLatlng,';
		if($vcmp_marker == 'on') {	
			$image_attributes = wp_get_attachment_image_src( $vcmp_marker_image, 'full' );	  
			echo 'icon: \''.$image_attributes[0].'\'';
		}
		echo '});
               
              google.maps.event.addListener(marker, "click", function() {
                  infowindow.open(map,marker);
              });
               
              marker.setMap(map);
             
          }
          initializeGoogleMap();
     
         });
		});
        </script>';
     
	 
	 	if($vcmp_animate == 'on') {
        	$return = '<div class="map-container animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'" style="height:'.$vcmp_height.';"><div id="'.$id.'" style="width:'.$vcmp_width.'; height:'.$vcmp_height.';" class="googleMap"></div></div>';
		} else {
        	$return = '<div class="map-container" style="height:'.$vcmp_height.';"><div id="'.$id.'" style="width:'.$vcmp_width.'; height:'.$vcmp_height.';" class="googleMap"></div></div>';			
		}
		return $return;
	} 
}
new vcmp_map_function();
?>