<?php
/*
File: portfolio.php
Description: Function portfolio
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_portfolio_function extends vcmegapack_portfolio_class {
public function vcmegapack_portfolio_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_portfolio_type" => 'vcmp-portfolio-style1',
				"vcmp_portfolio_columns" => '1',	
				"vcmp_portfolio_excerpt" => 'true',
				"vcmp_portfolio_excerpt_number" => '200',
				"vcmp_portfolio_filter" => 'true',
				"vcmp_portfolio_title" => 'true',
				"vcmp_portfolio_date" => 'true',
				"vcmp_portfolio_date_format" => 'F j, Y g:i a',
				"vcmp_portfolio_comments" => 'true',
				"vcmp_portfolio_author" => 'true',
				"vcmp_portfolio_category" => 'true',
				"vcmp_portfolio_views" => 'true',
				"vcmp_portfolio_social" => 'true',				
				"vcmp_portfolio_font_type" => 'vcmp-font-default',
				"vcmp_portfolio_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
				"vcmp_portfolio_title_fs" => '',
				"vcmp_portfolio_content_fs" => '',
				"vcmp_portfolio_background_color" => 'rgba(255,255,255,1)',
				"vcmp_portfolio_secondary_color" => 'rgba(0,0,0,0.3)',
				"vcmp_portfolio_font_color" => 'rgba(56,56,56,1)',
				"vcmp_portfolio_a_color" => 'rgba(56,56,56,1)',												
				"vcmp_portfolio_over_color" => 'rgba(138,138,138,1)',
				
				"vcmp_query_source" => 'wp_posts',
				"vcmp_query_sticky_posts" => 'allposts',
				"vcmp_query_posts_type" => '',
				"vcmp_query_categories" => '',
				"vcmp_query_order" => 'DESC',
				"vcmp_query_orderby" => 'date',
				"vcmp_query_pagination" => 'yes',
				"vcmp_query_pagination_type" => 'numeric',
				"vcmp_query_number" => '',
				"vcmp_query_posts_for_page" => '',				
				
				  
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);
	
	if($vcmp_portfolio_font_type == 'vcmp-google-font') {
			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_portfolio_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_portfolio_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/
			
			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');			
	}
			
			$return = '';
			$return .= '<style type="text/css">';
			if($vcmp_portfolio_font_type == 'vcmp-google-font') {
				$return .=  '.vcmp-portfolio-'.$instance.' { 
										font-family:'.$font_name_slip.';
										font-style:'.$font_style.';
										font-weight:'.$font_weight.';
								  }';	
			}		
			
			if($vcmp_portfolio_excerpt 	== 'false' &&
			   $vcmp_portfolio_comments == 'false' && 
			   $vcmp_portfolio_author 	== 'false' && 
			   $vcmp_portfolio_category == 'false' && 
			   $vcmp_portfolio_views 	== 'false' && 
			   $vcmp_portfolio_social 	== 'false') {
				$return .=  '.vcmp-portfolio-'.$instance.' .vcmp-item .vcmp-container-portfolio {
					padding:0!important;
				}';
			}
			   	
			$return .= portfolio_style($instance, 
							$vcmp_portfolio_type, 
							$vcmp_portfolio_title_fs, 
							$vcmp_portfolio_content_fs, 
							$vcmp_portfolio_background_color, 
							$vcmp_portfolio_secondary_color, 
							$vcmp_portfolio_font_color, 
							$vcmp_portfolio_a_color, 
							$vcmp_portfolio_over_color);
							
			$return .= '</style>';
			

			
			/* LOAD CSS && JS */	
			wp_enqueue_style( 'vcmp-normalize' );
			wp_enqueue_style( 'vcmp-columns' );
			wp_enqueue_style( 'vcmp-animations' );
			wp_enqueue_style( 'vcmp-fonts' );
			wp_enqueue_script( 'vcmp-appear-js' );
			wp_enqueue_script( 'vcmp-animate-js' );				
			wp_enqueue_style( 'vcmp-portfolio' );			
			
			
			
			if($vcmp_portfolio_filter == 'true') {
				
				wp_enqueue_script( 'vcmp-filter-js' );	
				
				$return .= vcmp_filter_js($instance,'portfolio');
				
				$return .= vcmp_filter_item($instance,
											'vcmp-portfolio',
											$vcmp_query_source,
											$vcmp_query_categories,
											$vcmp_query_posts_type);	
			
			}			
			
			
			
			
			
			$return .= '<div class="vcmp-portfolio vcmp-'.$instance.' '.$vcmp_portfolio_type.' vcmp-columns-'.$vcmp_portfolio_columns.' vcmp-portfolio-'.$instance.'';
				if($vcmp_portfolio_filter == 'true') {
					$return .= ' vcmp-filter';	
				}				
				if($vcmp_animate == 'on') { // ANIMATION ON
					$return .= ' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'';
				}
			$return .= '">';
			
			// LOOP QUERY
			$query = vcmp_query($vcmp_query_source,
								$vcmp_query_sticky_posts, 
								$vcmp_query_posts_type, 
								$vcmp_query_categories, 
								$vcmp_query_order, 
								$vcmp_query_orderby, 
								$vcmp_query_pagination, 
								$vcmp_query_number, 
								$vcmp_query_posts_for_page);

			$loop = new WP_Query($query);	
			if($loop) { 
			while ( $loop->have_posts() ) : $loop->the_post();				
				$link = get_permalink();
				
				if($vcmp_portfolio_filter == 'true') {
					
					$return .= vcmp_filter_item_div($vcmp_query_source,$vcmp_query_categories,$vcmp_query_posts_type);
					
				} else {
				
					$return .= '<div class="vcmp-item">';
				
				}
				
				$return .= '<div class="vcmp-container-thumbs"><div class="vcmp-header-container">';
				if($vcmp_portfolio_date == 'true') {
					$return .= '<span class="vcmp-info-date">'.vcmegapack_post_info(true,false,false,false,false,'post',$vcmp_portfolio_date_format).'</span>';				
				}
				$return .= vcmegapack_thumbs('vcmegapack-rectangle');
				$return .= '<h1 class="vcmp-title">'.get_the_title().'</h1>';							
				$return .= '</div>';
				$return .= '<div class="vcmp-image-over"><a href="'.$link.'" class="adtheme-icon-plus"></a>
							</div></div>';				
				$return .= '<div class="vcmp-container-portfolio">
								<p class="vcmp-info">'.vcmegapack_post_info(false,$vcmp_portfolio_comments,$vcmp_portfolio_author,$vcmp_portfolio_category,$vcmp_portfolio_views,'post',$vcmp_portfolio_date_format).'</p>';						
				if($vcmp_portfolio_excerpt == 'true') {				
							$return .=	'<p class="vcmp-text">'.vcmegapack_excerpt($vcmp_portfolio_excerpt_number).'...</p>';
				}
				if($vcmp_portfolio_social == 'true') {				
							$return .= '<p class="vcmp-share">'.vcmegapack_share().'</p>';
				}
				$return .=	'</div>';			
				$return .= '</div>'; // #VCMP-ITEM
				
				endwhile;
				}
				
				// PAGINATION 
				if($vcmp_query_pagination == 'yes') {
					$return .= '<div class="vcmp-clear"></div><div class="vcmp-portfolio-'.$instance.' vcmp-pagination">';
					if($vcmp_query_pagination_type == 'numeric') {
						$return .= vcmp_numeric_pagination($pages = '', $range = 2,$loop);
					} else {
						$return .= get_next_posts_link( 'Older posts', $loop->max_num_pages );
						$return .= get_previous_posts_link( 'Newer posts' );				
					}
					$return .= '</div>';
				}
				// #PAGINATION
										
			$return .= '</div>';
			wp_reset_query();
			return $return;		
    } 
}
new vcmp_portfolio_function();
?>