<?php
/*
File: postlist.php
Description: Function Post list
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_postlist_function extends vcmegapack_postlist_class {
public function vcmegapack_postlist_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_postlist_type" => '',				
				"vcmp_postlist_show_title" => 'true',
				"vcmp_postlist_show_image" => 'true',
				"vcmp_postlist_show_excerpt" => 'true',
				"vcmp_postlist_excerpt_number" => '300',
				"vcmp_postlist_show_button" => 'true',				
				
				"vcmp_postlist_style_type" => 'vcmp-circle',
				"vcmp_postlist_date" => 'true',
				"vcmp_postlist_date_format" => 'F j, Y g:i a',
				"vcmp_postlist_comments" => 'true',
				"vcmp_postlist_author" => 'true',
				"vcmp_postlist_category" => 'true',
				"vcmp_postlist_views" => 'true',
				"vcmp_postlist_social" => '',
				
				"vcmp_query_source" => 'wp_posts',
				"vcmp_query_sticky_posts" => 'allposts',
				"vcmp_query_posts_type" => '',
				"vcmp_query_categories" => '',
				"vcmp_query_order" => 'DESC',
				"vcmp_query_orderby" => 'date',
				"vcmp_query_pagination" => 'yes',
				"vcmp_query_pagination_type" => 'numeric',
				"vcmp_query_number" => '',
				"vcmp_query_posts_for_page" => '',
				
				"vcmp_postlist_font_type" => 'vcmp-font-default',
				"vcmp_postlist_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
				"vcmp_postlist_title_fs" => '',
				"vcmp_postlist_font_color" => 'rgba(56,56,56,1)',
				"vcmp_postlist_a_color" => 'rgba(56,56,56,1)',												
				"vcmp_postlist_over_color" => 'rgba(138,138,138,1)',											
				  
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);
	
	if($vcmp_postlist_font_type == 'vcmp-google-font') {
			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_postlist_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_postlist_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/
			
			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');			
	}
			
			$return = '';
			$return .= '<style type="text/css">';
			if($vcmp_postlist_font_type == 'vcmp-google-font') {
				$return .=  '.vcmp-postlist-'.$instance.' { 
										font-family:'.$font_name_slip.';
										font-style:'.$font_style.';
										font-weight:'.$font_weight.';
								  }';	
			}			
			
			$return .= postlist_style($instance, 
							$vcmp_postlist_type, 
							$vcmp_postlist_title_fs,  
							$vcmp_postlist_font_color, 
							$vcmp_postlist_a_color, 
							$vcmp_postlist_over_color);
						
			$return .= '</style>';
			

			
			/* LOAD CSS && JS */	
			wp_enqueue_style( 'vcmp-normalize' );
			wp_enqueue_style( 'vcmp-columns' );
			wp_enqueue_style( 'vcmp-animations' );
			wp_enqueue_style( 'vcmp-fonts' );
			wp_enqueue_script( 'vcmp-appear-js' );
			wp_enqueue_script( 'vcmp-animate-js' );			
			wp_enqueue_style( 'vcmp-postlist' );			
			
			$return .= '<div class="vcmp-postlist vcmp-'.$instance.' '.$vcmp_postlist_type.' vcmp-postlist-'.$instance.'';
				if($vcmp_animate == 'on') { // ANIMATION ON
					$return .= ' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'';
				}
			$return .= '"><ul>';
			
			// LOOP QUERY
			$query = vcmp_query($vcmp_query_source,
								$vcmp_query_sticky_posts, 
								$vcmp_query_posts_type, 
								$vcmp_query_categories, 
								$vcmp_query_order, 
								$vcmp_query_orderby, 
								$vcmp_query_pagination, 
								$vcmp_query_number, 
								$vcmp_query_posts_for_page);

			$loop = new WP_Query($query);	
			if($loop) { 
			while ( $loop->have_posts() ) : $loop->the_post();	
				$link = get_permalink();
				
				$return .= '<li class="'.$vcmp_postlist_style_type.'">';

				$return .= vcmegapack_post_info($vcmp_postlist_date,$vcmp_postlist_comments,$vcmp_postlist_author,$vcmp_postlist_category,$vcmp_postlist_views,'post',$vcmp_postlist_date_format);				 		
				
				if($vcmp_postlist_show_title == 'true') {
					$return .= '<a class="vcmp-postlist-title" href="'.$link.'">'.get_the_title().'</a>';
				}
				if($vcmp_postlist_show_image == 'true') {
					$return .= '<div class="vcmp-postlist-image">'.vcmegapack_thumbs('vcmegapack-rectangle').'</div>';
				}
				if($vcmp_postlist_show_excerpt == 'true') {
					$return .= '<p class="vcmp-postlist-text">'.vcmegapack_excerpt($vcmp_postlist_excerpt_number).'';
				}
				if($vcmp_postlist_show_button == 'true') {
					$return .= '<a class="vcmp-postlist-readmore" href="'.$link.'">'.__('Read More','vcmegapack').'</a>';
				}
				if($vcmp_postlist_show_excerpt == 'true') {
					$return .= '</p>';
				}
				$return .= '</li>';
				
				
				
			endwhile;
			} // #LOOP QUERY				
			
										
			$return .= '</ul>';

				// PAGINATION 
				if($vcmp_query_pagination == 'yes') {
					$return .= '<div class="vcmp-clear"></div><div class="vcmp-pagination">';
					if($vcmp_query_pagination_type == 'numeric') {
						$return .= vcmp_numeric_pagination($pages = '', $range = 2,$loop);
					} else {
						$return .= get_next_posts_link( 'Older posts', $loop->max_num_pages );
						$return .= get_previous_posts_link( 'Newer posts' );				
					}
					$return .= '</div>';
				}
				// #PAGINATION			
			
			$return .= '</div>';
			wp_reset_query();
			return $return;		
    } 
}
new vcmp_postlist_function();
?>