<?php
/*
File: timeline.php
Description: Function timeline
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_timeline_function extends vcmegapack_timeline_class {
public function vcmegapack_timeline_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_timeline_type" => 'vcmp-timeline-style1',				
				"vcmp_timeline_source" => 'vcmp_posts',
				"vcmp_timeline_date_format" => 'F j, Y g:i a',
				"vcmp_timeline_show_title" => 'true',
				"vcmp_timeline_show_image" => 'true',
				"vcmp_timeline_show_excerpt" => 'true',
				"vcmp_timeline_excerpt_number" => '300',
				"vcmp_timeline_show_description" => 'true',
				"vcmp_timeline_show_button" => 'true',
				"vcmp_timeline_link" => 'image',
				"vcmp_timeline_target_link" => '_self',
				"vcmp_timeline_images" => '',				

				"vcmp_query_source" => 'wp_posts',
				"vcmp_query_sticky_posts" => 'allposts',
				"vcmp_query_posts_type" => '',
				"vcmp_query_categories" => '',
				"vcmp_query_order" => 'DESC',
				"vcmp_query_orderby" => 'date',
				"vcmp_query_pagination" => '',
				"vcmp_query_pagination_type" => '',
				"vcmp_query_number" => '',
				"vcmp_query_posts_for_page" => '',
				
				"vcmp_timeline_font_type" => 'vcmp-font-default',
				"vcmp_timeline_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
				"vcmp_timeline_title_fs" => '',
				"vcmp_timeline_background_color" => 'rgba(255,255,255,1)',
				"vcmp_timeline_line_color" => 'rgba(0,0,0,0.3)',
				"vcmp_timeline_font_color" => 'rgba(56,56,56,1)',
				"vcmp_timeline_a_color" => 'rgba(56,56,56,1)',												
				"vcmp_timeline_over_color" => 'rgba(138,138,138,1)',											
				  
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);
	
	if($vcmp_timeline_font_type == 'vcmp-google-font') {
			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_timeline_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_timeline_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/
			
			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');			
	}
			
			$return = '';
			$return .= '<style type="text/css">';
			if($vcmp_timeline_font_type == 'vcmp-google-font') {
				$return .=  '.vcmp-timeline-'.$instance.' { 
										font-family:'.$font_name_slip.';
										font-style:'.$font_style.';
										font-weight:'.$font_weight.';
								  }';	
			}			
			
			$return .= timeline_style($instance, 
							$vcmp_timeline_type, 
							$vcmp_timeline_title_fs,  
							$vcmp_timeline_background_color, 
							$vcmp_timeline_line_color, 
							$vcmp_timeline_font_color, 
							$vcmp_timeline_a_color, 
							$vcmp_timeline_over_color);
							
			$return .= '</style>';
			

			
			/* LOAD CSS && JS */	
			wp_enqueue_style( 'vcmp-normalize' );
			wp_enqueue_style( 'vcmp-columns' );
			wp_enqueue_style( 'vcmp-animations' );
			wp_enqueue_style( 'vcmp-fonts' );
			wp_enqueue_script( 'vcmp-appear-js' );
			wp_enqueue_script( 'vcmp-animate-js' );	
			wp_enqueue_script( 'vcmp-magnific-popup-js' );		
			wp_enqueue_style( 'vcmp-timeline' );
			wp_enqueue_style( 'vcmp-magnific-popup' );	
			
			if($vcmp_timeline_link != 'custom_url') {
				$return .= "<script type=\"text/javascript\">	
								jQuery(document).ready(function($){
									$('.vcmp-timeline-".$instance." .vcmp-zoom-image').magnificPopup({
										type: 'image',
											gallery:{
												enabled:true
											}
									});
								});
							</script>";
			}
			
			if($vcmp_timeline_type == 'vcmp_gallery') {
				wp_enqueue_style( 'vcmp-owl-carousel' );
				wp_enqueue_style( 'vcmp-owl-theme' );
				wp_enqueue_script( 'vcmp-owl-carousel-js' );
				$return .= "<script type=\"text/javascript\">	
								jQuery(document).ready(function($){
									$('.vcmp-timeline-".$instance." .vcmp-zoom-image').magnificPopup({
										type: 'image',
											gallery:{
												enabled:true
											}
									});
								});
							</script>";			
			}
			
			
			
			$return .= '<div class="vcmp-timeline vcmp-'.$instance.' '.$vcmp_timeline_source.' '.$vcmp_timeline_type.' vcmp-timeline-'.$instance.'';
				if($vcmp_animate == 'on') { // ANIMATION ON
					$return .= ' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'';
				}
			$return .= '"><section id="vcmp-timeline" class="vcmp-container">';
	
			/**************************************************/
			/**************** GALLERY SOURCE ******************/
			/**************************************************/
			
			if($vcmp_timeline_source == 'vcmp_gallery') {
			
			$images = explode( ',', $vcmp_timeline_images );
	
			foreach ( $images as $id ) {			
				$image_attributes = wp_get_attachment_image_src( $id, 'vcmegapack-fullscreen' );
					if($vcmp_timeline_link == 'custom_url') {					
						$link = get_post_meta( $id, '_custom_url', true );
						$target = 'target="'.$vcmp_timeline_target_link.'"';						
					} else {
						$link = $image_attributes[0];
						$target = '';
					}
				$attachment_caption_array = get_post( $id );
				$attachment_caption	= $attachment_caption_array->post_excerpt;
				$attachment_description = $attachment_caption_array->post_content;
				$attachment_date = $attachment_caption_array->post_date;
				if(empty($attachment_caption)) { $attachment_caption = ' '; }
				
				$return .= '<div class="vcmp-timeline-block">
								<div class="vcmp-timeline-img animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">
									<div class="vcmp_format_icon"><span class="adtheme-icon-image2"></span></div>
								</div>';
				$return .= '<div class="vcmp-timeline-content animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">';
				if($vcmp_timeline_show_title == 'true') {
						$return .= '<h2><a href="'.$link.'" '.$target.'>'.$attachment_caption.'</a></h2>';
				}
				if($vcmp_timeline_show_image == 'true') {
						$return .= '<div class="vcmp-timeline-image">
										<img class="vcmp-thumbs" src="'.$image_attributes[0].'">
										<div class="vcmp-timeline-zoom">
											<a class="adtheme-icon-search vcmp-zoom-image" href="'.$link.'" '.$target.'></a>
										</div>
									</div>';
				}
				if($vcmp_timeline_show_description == 'true') {
					$return .= '<p>'.$attachment_description.'</p>';
				}				
				$return .= '<span class="vcmp-date">'.get_the_date($vcmp_timeline_date_format).'</span>
							</div>
							</div>';		
				
				}
			
			} else {
			
			/**************************************************/
			/****************** POSTS SOURCE ******************/
			/**************************************************/
			
			// LOOP QUERY
			$query = vcmp_query($vcmp_query_source,
								$vcmp_query_sticky_posts, 
								$vcmp_query_posts_type, 
								$vcmp_query_categories, 
								$vcmp_query_order, 
								$vcmp_query_orderby, 
								'no', 
								$vcmp_query_number, 
								$vcmp_query_posts_for_page);

			$loop = new WP_Query($query);	
			if($loop) { 
			while ( $loop->have_posts() ) : $loop->the_post();	
				$link = get_permalink();
				
				$return .= '<div class="vcmp-timeline-block">
								<div class="vcmp-timeline-img animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">
									<div class="vcmp_format_icon">'.vcmegapack_format_icon().'</div>
								</div>';
				$return .= '<div class="vcmp-timeline-content animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">';
				if($vcmp_timeline_show_title == 'true') {
						$return .= '<h2><a href="'.$link.'">'.get_the_title().'</a></h2>';
				}
				if($vcmp_timeline_show_image == 'true') {
						$return .= vcmegapack_content();
				}
				if($vcmp_timeline_show_excerpt == 'true') {
					$return .= '<p>'.vcmegapack_excerpt($vcmp_timeline_excerpt_number).'</p>';
				}
				if($vcmp_timeline_show_button == 'true') {
					$return .= '<a href="'.$link.'" class="vcmp-read-more">'.__('Read More','vcmegapack').'</a>';
				}
				
				$return .= '<span class="vcmp-date">'.get_the_date($vcmp_timeline_date_format).'</span>
							</div>
							</div>';			

			endwhile;
			} // #LOOP QUERY				
			
			} // #POSTS SOURCE
										
			$return .= '</section></div>';
			wp_reset_query();
			return $return;		
    } 
}
new vcmp_timeline_function();
?>